XCB 1.16

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
XCB RandR API

RandR XCB Protocol Implementation. More...

## Data Structures
struct | xcb_randr_mode_iterator_t
| xcb_randr_mode_iterator_t More...
struct | xcb_randr_crtc_iterator_t
| xcb_randr_crtc_iterator_t More...
struct | xcb_randr_output_iterator_t
| xcb_randr_output_iterator_t More...
struct | xcb_randr_provider_iterator_t
| xcb_randr_provider_iterator_t More...
struct | xcb_randr_lease_iterator_t
| xcb_randr_lease_iterator_t More...
struct | xcb_randr_bad_output_error_t
| xcb_randr_bad_output_error_t More...
struct | xcb_randr_bad_crtc_error_t
| xcb_randr_bad_crtc_error_t More...
struct | xcb_randr_bad_mode_error_t
| xcb_randr_bad_mode_error_t More...
struct | xcb_randr_bad_provider_error_t
| xcb_randr_bad_provider_error_t More...
struct | xcb_randr_screen_size_t
| xcb_randr_screen_size_t More...
struct | xcb_randr_screen_size_iterator_t
| xcb_randr_screen_size_iterator_t More...
struct | xcb_randr_refresh_rates_t
| xcb_randr_refresh_rates_t More...
struct | xcb_randr_refresh_rates_iterator_t
| xcb_randr_refresh_rates_iterator_t More...
struct | xcb_randr_query_version_cookie_t
| xcb_randr_query_version_cookie_t More...
struct | xcb_randr_query_version_request_t
| xcb_randr_query_version_request_t More...
struct | xcb_randr_query_version_reply_t
| xcb_randr_query_version_reply_t More...
struct | xcb_randr_set_screen_config_cookie_t
| xcb_randr_set_screen_config_cookie_t More...
struct | xcb_randr_set_screen_config_request_t
| xcb_randr_set_screen_config_request_t More...
struct | xcb_randr_set_screen_config_reply_t
| xcb_randr_set_screen_config_reply_t More...
struct | xcb_randr_select_input_request_t
| xcb_randr_select_input_request_t More...
struct | xcb_randr_get_screen_info_cookie_t
| xcb_randr_get_screen_info_cookie_t More...
struct | xcb_randr_get_screen_info_request_t
| xcb_randr_get_screen_info_request_t More...
struct | xcb_randr_get_screen_info_reply_t
| xcb_randr_get_screen_info_reply_t More...
struct | xcb_randr_get_screen_size_range_cookie_t
| xcb_randr_get_screen_size_range_cookie_t More...
struct | xcb_randr_get_screen_size_range_request_t
| xcb_randr_get_screen_size_range_request_t More...
struct | xcb_randr_get_screen_size_range_reply_t
| xcb_randr_get_screen_size_range_reply_t More...
struct | xcb_randr_set_screen_size_request_t
| xcb_randr_set_screen_size_request_t More...
struct | xcb_randr_mode_info_t
| xcb_randr_mode_info_t More...
struct | xcb_randr_mode_info_iterator_t
| xcb_randr_mode_info_iterator_t More...
struct | xcb_randr_get_screen_resources_cookie_t
| xcb_randr_get_screen_resources_cookie_t More...
struct | xcb_randr_get_screen_resources_request_t
| xcb_randr_get_screen_resources_request_t More...
struct | xcb_randr_get_screen_resources_reply_t
| xcb_randr_get_screen_resources_reply_t More...
struct | xcb_randr_get_output_info_cookie_t
| xcb_randr_get_output_info_cookie_t More...
struct | xcb_randr_get_output_info_request_t
| xcb_randr_get_output_info_request_t More...
struct | xcb_randr_get_output_info_reply_t
| xcb_randr_get_output_info_reply_t More...
struct | xcb_randr_list_output_properties_cookie_t
| xcb_randr_list_output_properties_cookie_t More...
struct | xcb_randr_list_output_properties_request_t
| xcb_randr_list_output_properties_request_t More...
struct | xcb_randr_list_output_properties_reply_t
| xcb_randr_list_output_properties_reply_t More...
struct | xcb_randr_query_output_property_cookie_t
| xcb_randr_query_output_property_cookie_t More...
struct | xcb_randr_query_output_property_request_t
| xcb_randr_query_output_property_request_t More...
struct | xcb_randr_query_output_property_reply_t
| xcb_randr_query_output_property_reply_t More...
struct | xcb_randr_configure_output_property_request_t
| xcb_randr_configure_output_property_request_t More...
struct | xcb_randr_change_output_property_request_t
| xcb_randr_change_output_property_request_t More...
struct | xcb_randr_delete_output_property_request_t
| xcb_randr_delete_output_property_request_t More...
struct | xcb_randr_get_output_property_cookie_t
| xcb_randr_get_output_property_cookie_t More...
struct | xcb_randr_get_output_property_request_t
| xcb_randr_get_output_property_request_t More...
struct | xcb_randr_get_output_property_reply_t
| xcb_randr_get_output_property_reply_t More...
struct | xcb_randr_create_mode_cookie_t
| xcb_randr_create_mode_cookie_t More...
struct | xcb_randr_create_mode_request_t
| xcb_randr_create_mode_request_t More...
struct | xcb_randr_create_mode_reply_t
| xcb_randr_create_mode_reply_t More...
struct | xcb_randr_destroy_mode_request_t
| xcb_randr_destroy_mode_request_t More...
struct | xcb_randr_add_output_mode_request_t
| xcb_randr_add_output_mode_request_t More...
struct | xcb_randr_delete_output_mode_request_t
| xcb_randr_delete_output_mode_request_t More...
struct | xcb_randr_get_crtc_info_cookie_t
| xcb_randr_get_crtc_info_cookie_t More...
struct | xcb_randr_get_crtc_info_request_t
| xcb_randr_get_crtc_info_request_t More...
struct | xcb_randr_get_crtc_info_reply_t
| xcb_randr_get_crtc_info_reply_t More...
struct | xcb_randr_set_crtc_config_cookie_t
| xcb_randr_set_crtc_config_cookie_t More...
struct | xcb_randr_set_crtc_config_request_t
| xcb_randr_set_crtc_config_request_t More...
struct | xcb_randr_set_crtc_config_reply_t
| xcb_randr_set_crtc_config_reply_t More...
struct | xcb_randr_get_crtc_gamma_size_cookie_t
| xcb_randr_get_crtc_gamma_size_cookie_t More...
struct | xcb_randr_get_crtc_gamma_size_request_t
| xcb_randr_get_crtc_gamma_size_request_t More...
struct | xcb_randr_get_crtc_gamma_size_reply_t
| xcb_randr_get_crtc_gamma_size_reply_t More...
struct | xcb_randr_get_crtc_gamma_cookie_t
| xcb_randr_get_crtc_gamma_cookie_t More...
struct | xcb_randr_get_crtc_gamma_request_t
| xcb_randr_get_crtc_gamma_request_t More...
struct | xcb_randr_get_crtc_gamma_reply_t
| xcb_randr_get_crtc_gamma_reply_t More...
struct | xcb_randr_set_crtc_gamma_request_t
| xcb_randr_set_crtc_gamma_request_t More...
struct | xcb_randr_get_screen_resources_current_cookie_t
| xcb_randr_get_screen_resources_current_cookie_t More...
struct | xcb_randr_get_screen_resources_current_request_t
| xcb_randr_get_screen_resources_current_request_t More...
struct | xcb_randr_get_screen_resources_current_reply_t
| xcb_randr_get_screen_resources_current_reply_t More...
struct | xcb_randr_set_crtc_transform_request_t
| xcb_randr_set_crtc_transform_request_t More...
struct | xcb_randr_get_crtc_transform_cookie_t
| xcb_randr_get_crtc_transform_cookie_t More...
struct | xcb_randr_get_crtc_transform_request_t
| xcb_randr_get_crtc_transform_request_t More...
struct | xcb_randr_get_crtc_transform_reply_t
| xcb_randr_get_crtc_transform_reply_t More...
struct | xcb_randr_get_panning_cookie_t
| xcb_randr_get_panning_cookie_t More...
struct | xcb_randr_get_panning_request_t
| xcb_randr_get_panning_request_t More...
struct | xcb_randr_get_panning_reply_t
| xcb_randr_get_panning_reply_t More...
struct | xcb_randr_set_panning_cookie_t
| xcb_randr_set_panning_cookie_t More...
struct | xcb_randr_set_panning_request_t
| xcb_randr_set_panning_request_t More...
struct | xcb_randr_set_panning_reply_t
| xcb_randr_set_panning_reply_t More...
struct | xcb_randr_set_output_primary_request_t
| xcb_randr_set_output_primary_request_t More...
struct | xcb_randr_get_output_primary_cookie_t
| xcb_randr_get_output_primary_cookie_t More...
struct | xcb_randr_get_output_primary_request_t
| xcb_randr_get_output_primary_request_t More...
struct | xcb_randr_get_output_primary_reply_t
| xcb_randr_get_output_primary_reply_t More...
struct | xcb_randr_get_providers_cookie_t
| xcb_randr_get_providers_cookie_t More...
struct | xcb_randr_get_providers_request_t
| xcb_randr_get_providers_request_t More...
struct | xcb_randr_get_providers_reply_t
| xcb_randr_get_providers_reply_t More...
struct | xcb_randr_get_provider_info_cookie_t
| xcb_randr_get_provider_info_cookie_t More...
struct | xcb_randr_get_provider_info_request_t
| xcb_randr_get_provider_info_request_t More...
struct | xcb_randr_get_provider_info_reply_t
| xcb_randr_get_provider_info_reply_t More...
struct | xcb_randr_set_provider_offload_sink_request_t
| xcb_randr_set_provider_offload_sink_request_t More...
struct | xcb_randr_set_provider_output_source_request_t
| xcb_randr_set_provider_output_source_request_t More...
struct | xcb_randr_list_provider_properties_cookie_t
| xcb_randr_list_provider_properties_cookie_t More...
struct | xcb_randr_list_provider_properties_request_t
| xcb_randr_list_provider_properties_request_t More...
struct | xcb_randr_list_provider_properties_reply_t
| xcb_randr_list_provider_properties_reply_t More...
struct | xcb_randr_query_provider_property_cookie_t
| xcb_randr_query_provider_property_cookie_t More...
struct | xcb_randr_query_provider_property_request_t
| xcb_randr_query_provider_property_request_t More...
struct | xcb_randr_query_provider_property_reply_t
| xcb_randr_query_provider_property_reply_t More...
struct | xcb_randr_configure_provider_property_request_t
| xcb_randr_configure_provider_property_request_t More...
struct | xcb_randr_change_provider_property_request_t
| xcb_randr_change_provider_property_request_t More...
struct | xcb_randr_delete_provider_property_request_t
| xcb_randr_delete_provider_property_request_t More...
struct | xcb_randr_get_provider_property_cookie_t
| xcb_randr_get_provider_property_cookie_t More...
struct | xcb_randr_get_provider_property_request_t
| xcb_randr_get_provider_property_request_t More...
struct | xcb_randr_get_provider_property_reply_t
| xcb_randr_get_provider_property_reply_t More...
struct | xcb_randr_screen_change_notify_event_t
| xcb_randr_screen_change_notify_event_t More...
struct | xcb_randr_crtc_change_t
| xcb_randr_crtc_change_t More...
struct | xcb_randr_crtc_change_iterator_t
| xcb_randr_crtc_change_iterator_t More...
struct | xcb_randr_output_change_t
| xcb_randr_output_change_t More...
struct | xcb_randr_output_change_iterator_t
| xcb_randr_output_change_iterator_t More...
struct | xcb_randr_output_property_t
| xcb_randr_output_property_t More...
struct | xcb_randr_output_property_iterator_t
| xcb_randr_output_property_iterator_t More...
struct | xcb_randr_provider_change_t
| xcb_randr_provider_change_t More...
struct | xcb_randr_provider_change_iterator_t
| xcb_randr_provider_change_iterator_t More...
struct | xcb_randr_provider_property_t
| xcb_randr_provider_property_t More...
struct | xcb_randr_provider_property_iterator_t
| xcb_randr_provider_property_iterator_t More...
struct | xcb_randr_resource_change_t
| xcb_randr_resource_change_t More...
struct | xcb_randr_resource_change_iterator_t
| xcb_randr_resource_change_iterator_t More...
struct | xcb_randr_monitor_info_t
| xcb_randr_monitor_info_t More...
struct | xcb_randr_monitor_info_iterator_t
| xcb_randr_monitor_info_iterator_t More...
struct | xcb_randr_get_monitors_cookie_t
| xcb_randr_get_monitors_cookie_t More...
struct | xcb_randr_get_monitors_request_t
| xcb_randr_get_monitors_request_t More...
struct | xcb_randr_get_monitors_reply_t
| xcb_randr_get_monitors_reply_t More...
struct | xcb_randr_set_monitor_request_t
| xcb_randr_set_monitor_request_t More...
struct | xcb_randr_delete_monitor_request_t
| xcb_randr_delete_monitor_request_t More...
struct | xcb_randr_create_lease_cookie_t
| xcb_randr_create_lease_cookie_t More...
struct | xcb_randr_create_lease_request_t
| xcb_randr_create_lease_request_t More...
struct | xcb_randr_create_lease_reply_t
| xcb_randr_create_lease_reply_t More...
struct | xcb_randr_free_lease_request_t
| xcb_randr_free_lease_request_t More...
struct | xcb_randr_lease_notify_t
| xcb_randr_lease_notify_t More...
struct | xcb_randr_lease_notify_iterator_t
| xcb_randr_lease_notify_iterator_t More...
union | xcb_randr_notify_data_t
| xcb_randr_notify_data_t More...
struct | xcb_randr_notify_data_iterator_t
| xcb_randr_notify_data_iterator_t More...
struct | xcb_randr_notify_event_t
| xcb_randr_notify_event_t More...

## Macros
#define | XCB_RANDR_MAJOR_VERSION 1
#define | XCB_RANDR_MINOR_VERSION 6
#define | XCB_RANDR_BAD_OUTPUT 0
#define | XCB_RANDR_BAD_CRTC 1
#define | XCB_RANDR_BAD_MODE 2
#define | XCB_RANDR_BAD_PROVIDER 3
#define | XCB_RANDR_QUERY_VERSION 0
#define | XCB_RANDR_SET_SCREEN_CONFIG 2
#define | XCB_RANDR_SELECT_INPUT 4
#define | XCB_RANDR_GET_SCREEN_INFO 5
#define | XCB_RANDR_GET_SCREEN_SIZE_RANGE 6
#define | XCB_RANDR_SET_SCREEN_SIZE 7
#define | XCB_RANDR_GET_SCREEN_RESOURCES 8
#define | XCB_RANDR_GET_OUTPUT_INFO 9
#define | XCB_RANDR_LIST_OUTPUT_PROPERTIES 10
#define | XCB_RANDR_QUERY_OUTPUT_PROPERTY 11
#define | XCB_RANDR_CONFIGURE_OUTPUT_PROPERTY 12
#define | XCB_RANDR_CHANGE_OUTPUT_PROPERTY 13
#define | XCB_RANDR_DELETE_OUTPUT_PROPERTY 14
#define | XCB_RANDR_GET_OUTPUT_PROPERTY 15
#define | XCB_RANDR_CREATE_MODE 16
#define | XCB_RANDR_DESTROY_MODE 17
#define | XCB_RANDR_ADD_OUTPUT_MODE 18
#define | XCB_RANDR_DELETE_OUTPUT_MODE 19
#define | XCB_RANDR_GET_CRTC_INFO 20
#define | XCB_RANDR_SET_CRTC_CONFIG 21
#define | XCB_RANDR_GET_CRTC_GAMMA_SIZE 22
#define | XCB_RANDR_GET_CRTC_GAMMA 23
#define | XCB_RANDR_SET_CRTC_GAMMA 24
#define | XCB_RANDR_GET_SCREEN_RESOURCES_CURRENT 25
#define | XCB_RANDR_SET_CRTC_TRANSFORM 26
#define | XCB_RANDR_GET_CRTC_TRANSFORM 27
#define | XCB_RANDR_GET_PANNING 28
#define | XCB_RANDR_SET_PANNING 29
#define | XCB_RANDR_SET_OUTPUT_PRIMARY 30
#define | XCB_RANDR_GET_OUTPUT_PRIMARY 31
#define | XCB_RANDR_GET_PROVIDERS 32
#define | XCB_RANDR_GET_PROVIDER_INFO 33
#define | XCB_RANDR_SET_PROVIDER_OFFLOAD_SINK 34
#define | XCB_RANDR_SET_PROVIDER_OUTPUT_SOURCE 35
#define | XCB_RANDR_LIST_PROVIDER_PROPERTIES 36
#define | XCB_RANDR_QUERY_PROVIDER_PROPERTY 37
#define | XCB_RANDR_CONFIGURE_PROVIDER_PROPERTY 38
#define | XCB_RANDR_CHANGE_PROVIDER_PROPERTY 39
#define | XCB_RANDR_DELETE_PROVIDER_PROPERTY 40
#define | XCB_RANDR_GET_PROVIDER_PROPERTY 41
#define | XCB_RANDR_SCREEN_CHANGE_NOTIFY 0
#define | XCB_RANDR_GET_MONITORS 42
#define | XCB_RANDR_SET_MONITOR 43
#define | XCB_RANDR_DELETE_MONITOR 44
#define | XCB_RANDR_CREATE_LEASE 45
#define | XCB_RANDR_FREE_LEASE 46
#define | XCB_RANDR_NOTIFY 1

## Typedefs
typedef uint32_t | xcb_randr_mode_t
typedef struct xcb_randr_mode_iterator_t | xcb_randr_mode_iterator_t
| xcb_randr_mode_iterator_t
typedef uint32_t | xcb_randr_crtc_t
typedef struct xcb_randr_crtc_iterator_t | xcb_randr_crtc_iterator_t
| xcb_randr_crtc_iterator_t
typedef uint32_t | xcb_randr_output_t
typedef struct xcb_randr_output_iterator_t | xcb_randr_output_iterator_t
| xcb_randr_output_iterator_t
typedef uint32_t | xcb_randr_provider_t
typedef struct xcb_randr_provider_iterator_t | xcb_randr_provider_iterator_t
| xcb_randr_provider_iterator_t
typedef uint32_t | xcb_randr_lease_t
typedef struct xcb_randr_lease_iterator_t | xcb_randr_lease_iterator_t
| xcb_randr_lease_iterator_t
typedef struct xcb_randr_bad_output_error_t | xcb_randr_bad_output_error_t
| xcb_randr_bad_output_error_t
typedef struct xcb_randr_bad_crtc_error_t | xcb_randr_bad_crtc_error_t
| xcb_randr_bad_crtc_error_t
typedef struct xcb_randr_bad_mode_error_t | xcb_randr_bad_mode_error_t
| xcb_randr_bad_mode_error_t
typedef struct xcb_randr_bad_provider_error_t | xcb_randr_bad_provider_error_t
| xcb_randr_bad_provider_error_t
typedef enum xcb_randr_rotation_t | xcb_randr_rotation_t
typedef struct xcb_randr_screen_size_t | xcb_randr_screen_size_t
| xcb_randr_screen_size_t
typedef struct xcb_randr_screen_size_iterator_t | xcb_randr_screen_size_iterator_t
| xcb_randr_screen_size_iterator_t
typedef struct xcb_randr_refresh_rates_t | xcb_randr_refresh_rates_t
| xcb_randr_refresh_rates_t
typedef struct xcb_randr_refresh_rates_iterator_t | xcb_randr_refresh_rates_iterator_t
| xcb_randr_refresh_rates_iterator_t
typedef struct xcb_randr_query_version_cookie_t | xcb_randr_query_version_cookie_t
| xcb_randr_query_version_cookie_t
typedef struct xcb_randr_query_version_request_t | xcb_randr_query_version_request_t
| xcb_randr_query_version_request_t
typedef struct xcb_randr_query_version_reply_t | xcb_randr_query_version_reply_t
| xcb_randr_query_version_reply_t
typedef enum xcb_randr_set_config_t | xcb_randr_set_config_t
typedef struct xcb_randr_set_screen_config_cookie_t | xcb_randr_set_screen_config_cookie_t
| xcb_randr_set_screen_config_cookie_t
typedef struct xcb_randr_set_screen_config_request_t | xcb_randr_set_screen_config_request_t
| xcb_randr_set_screen_config_request_t
typedef struct xcb_randr_set_screen_config_reply_t | xcb_randr_set_screen_config_reply_t
| xcb_randr_set_screen_config_reply_t
typedef enum xcb_randr_notify_mask_t | xcb_randr_notify_mask_t
typedef struct xcb_randr_select_input_request_t | xcb_randr_select_input_request_t
| xcb_randr_select_input_request_t
typedef struct xcb_randr_get_screen_info_cookie_t | xcb_randr_get_screen_info_cookie_t
| xcb_randr_get_screen_info_cookie_t
typedef struct xcb_randr_get_screen_info_request_t | xcb_randr_get_screen_info_request_t
| xcb_randr_get_screen_info_request_t
typedef struct xcb_randr_get_screen_info_reply_t | xcb_randr_get_screen_info_reply_t
| xcb_randr_get_screen_info_reply_t
typedef struct xcb_randr_get_screen_size_range_cookie_t | xcb_randr_get_screen_size_range_cookie_t
| xcb_randr_get_screen_size_range_cookie_t
typedef struct xcb_randr_get_screen_size_range_request_t | xcb_randr_get_screen_size_range_request_t
| xcb_randr_get_screen_size_range_request_t
typedef struct xcb_randr_get_screen_size_range_reply_t | xcb_randr_get_screen_size_range_reply_t
| xcb_randr_get_screen_size_range_reply_t
typedef struct xcb_randr_set_screen_size_request_t | xcb_randr_set_screen_size_request_t
| xcb_randr_set_screen_size_request_t
typedef enum xcb_randr_mode_flag_t | xcb_randr_mode_flag_t
typedef struct xcb_randr_mode_info_t | xcb_randr_mode_info_t
| xcb_randr_mode_info_t
typedef struct xcb_randr_mode_info_iterator_t | xcb_randr_mode_info_iterator_t
| xcb_randr_mode_info_iterator_t
typedef struct xcb_randr_get_screen_resources_cookie_t | xcb_randr_get_screen_resources_cookie_t
| xcb_randr_get_screen_resources_cookie_t
typedef struct xcb_randr_get_screen_resources_request_t | xcb_randr_get_screen_resources_request_t
| xcb_randr_get_screen_resources_request_t
typedef struct xcb_randr_get_screen_resources_reply_t | xcb_randr_get_screen_resources_reply_t
| xcb_randr_get_screen_resources_reply_t
typedef enum xcb_randr_connection_t | xcb_randr_connection_t
typedef struct xcb_randr_get_output_info_cookie_t | xcb_randr_get_output_info_cookie_t
| xcb_randr_get_output_info_cookie_t
typedef struct xcb_randr_get_output_info_request_t | xcb_randr_get_output_info_request_t
| xcb_randr_get_output_info_request_t
typedef struct xcb_randr_get_output_info_reply_t | xcb_randr_get_output_info_reply_t
| xcb_randr_get_output_info_reply_t
typedef struct xcb_randr_list_output_properties_cookie_t | xcb_randr_list_output_properties_cookie_t
| xcb_randr_list_output_properties_cookie_t
typedef struct xcb_randr_list_output_properties_request_t | xcb_randr_list_output_properties_request_t
| xcb_randr_list_output_properties_request_t
typedef struct xcb_randr_list_output_properties_reply_t | xcb_randr_list_output_properties_reply_t
| xcb_randr_list_output_properties_reply_t
typedef struct xcb_randr_query_output_property_cookie_t | xcb_randr_query_output_property_cookie_t
| xcb_randr_query_output_property_cookie_t
typedef struct xcb_randr_query_output_property_request_t | xcb_randr_query_output_property_request_t
| xcb_randr_query_output_property_request_t
typedef struct xcb_randr_query_output_property_reply_t | xcb_randr_query_output_property_reply_t
| xcb_randr_query_output_property_reply_t
typedef struct xcb_randr_configure_output_property_request_t | xcb_randr_configure_output_property_request_t
| xcb_randr_configure_output_property_request_t
typedef struct xcb_randr_change_output_property_request_t | xcb_randr_change_output_property_request_t
| xcb_randr_change_output_property_request_t
typedef struct xcb_randr_delete_output_property_request_t | xcb_randr_delete_output_property_request_t
| xcb_randr_delete_output_property_request_t
typedef struct xcb_randr_get_output_property_cookie_t | xcb_randr_get_output_property_cookie_t
| xcb_randr_get_output_property_cookie_t
typedef struct xcb_randr_get_output_property_request_t | xcb_randr_get_output_property_request_t
| xcb_randr_get_output_property_request_t
typedef struct xcb_randr_get_output_property_reply_t | xcb_randr_get_output_property_reply_t
| xcb_randr_get_output_property_reply_t
typedef struct xcb_randr_create_mode_cookie_t | xcb_randr_create_mode_cookie_t
| xcb_randr_create_mode_cookie_t
typedef struct xcb_randr_create_mode_request_t | xcb_randr_create_mode_request_t
| xcb_randr_create_mode_request_t
typedef struct xcb_randr_create_mode_reply_t | xcb_randr_create_mode_reply_t
| xcb_randr_create_mode_reply_t
typedef struct xcb_randr_destroy_mode_request_t | xcb_randr_destroy_mode_request_t
| xcb_randr_destroy_mode_request_t
typedef struct xcb_randr_add_output_mode_request_t | xcb_randr_add_output_mode_request_t
| xcb_randr_add_output_mode_request_t
typedef struct xcb_randr_delete_output_mode_request_t | xcb_randr_delete_output_mode_request_t
| xcb_randr_delete_output_mode_request_t
typedef struct xcb_randr_get_crtc_info_cookie_t | xcb_randr_get_crtc_info_cookie_t
| xcb_randr_get_crtc_info_cookie_t
typedef struct xcb_randr_get_crtc_info_request_t | xcb_randr_get_crtc_info_request_t
| xcb_randr_get_crtc_info_request_t
typedef struct xcb_randr_get_crtc_info_reply_t | xcb_randr_get_crtc_info_reply_t
| xcb_randr_get_crtc_info_reply_t
typedef struct xcb_randr_set_crtc_config_cookie_t | xcb_randr_set_crtc_config_cookie_t
| xcb_randr_set_crtc_config_cookie_t
typedef struct xcb_randr_set_crtc_config_request_t | xcb_randr_set_crtc_config_request_t
| xcb_randr_set_crtc_config_request_t
typedef struct xcb_randr_set_crtc_config_reply_t | xcb_randr_set_crtc_config_reply_t
| xcb_randr_set_crtc_config_reply_t
typedef struct xcb_randr_get_crtc_gamma_size_cookie_t | xcb_randr_get_crtc_gamma_size_cookie_t
| xcb_randr_get_crtc_gamma_size_cookie_t
typedef struct xcb_randr_get_crtc_gamma_size_request_t | xcb_randr_get_crtc_gamma_size_request_t
| xcb_randr_get_crtc_gamma_size_request_t
typedef struct xcb_randr_get_crtc_gamma_size_reply_t | xcb_randr_get_crtc_gamma_size_reply_t
| xcb_randr_get_crtc_gamma_size_reply_t
typedef struct xcb_randr_get_crtc_gamma_cookie_t | xcb_randr_get_crtc_gamma_cookie_t
| xcb_randr_get_crtc_gamma_cookie_t
typedef struct xcb_randr_get_crtc_gamma_request_t | xcb_randr_get_crtc_gamma_request_t
| xcb_randr_get_crtc_gamma_request_t
typedef struct xcb_randr_get_crtc_gamma_reply_t | xcb_randr_get_crtc_gamma_reply_t
| xcb_randr_get_crtc_gamma_reply_t
typedef struct xcb_randr_set_crtc_gamma_request_t | xcb_randr_set_crtc_gamma_request_t
| xcb_randr_set_crtc_gamma_request_t
typedef struct xcb_randr_get_screen_resources_current_cookie_t | xcb_randr_get_screen_resources_current_cookie_t
| xcb_randr_get_screen_resources_current_cookie_t
typedef struct xcb_randr_get_screen_resources_current_request_t | xcb_randr_get_screen_resources_current_request_t
| xcb_randr_get_screen_resources_current_request_t
typedef struct xcb_randr_get_screen_resources_current_reply_t | xcb_randr_get_screen_resources_current_reply_t
| xcb_randr_get_screen_resources_current_reply_t
typedef enum xcb_randr_transform_t | xcb_randr_transform_t
typedef struct xcb_randr_set_crtc_transform_request_t | xcb_randr_set_crtc_transform_request_t
| xcb_randr_set_crtc_transform_request_t
typedef struct xcb_randr_get_crtc_transform_cookie_t | xcb_randr_get_crtc_transform_cookie_t
| xcb_randr_get_crtc_transform_cookie_t
typedef struct xcb_randr_get_crtc_transform_request_t | xcb_randr_get_crtc_transform_request_t
| xcb_randr_get_crtc_transform_request_t
typedef struct xcb_randr_get_crtc_transform_reply_t | xcb_randr_get_crtc_transform_reply_t
| xcb_randr_get_crtc_transform_reply_t
typedef struct xcb_randr_get_panning_cookie_t | xcb_randr_get_panning_cookie_t
| xcb_randr_get_panning_cookie_t
typedef struct xcb_randr_get_panning_request_t | xcb_randr_get_panning_request_t
| xcb_randr_get_panning_request_t
typedef struct xcb_randr_get_panning_reply_t | xcb_randr_get_panning_reply_t
| xcb_randr_get_panning_reply_t
typedef struct xcb_randr_set_panning_cookie_t | xcb_randr_set_panning_cookie_t
| xcb_randr_set_panning_cookie_t
typedef struct xcb_randr_set_panning_request_t | xcb_randr_set_panning_request_t
| xcb_randr_set_panning_request_t
typedef struct xcb_randr_set_panning_reply_t | xcb_randr_set_panning_reply_t
| xcb_randr_set_panning_reply_t
typedef struct xcb_randr_set_output_primary_request_t | xcb_randr_set_output_primary_request_t
| xcb_randr_set_output_primary_request_t
typedef struct xcb_randr_get_output_primary_cookie_t | xcb_randr_get_output_primary_cookie_t
| xcb_randr_get_output_primary_cookie_t
typedef struct xcb_randr_get_output_primary_request_t | xcb_randr_get_output_primary_request_t
| xcb_randr_get_output_primary_request_t
typedef struct xcb_randr_get_output_primary_reply_t | xcb_randr_get_output_primary_reply_t
| xcb_randr_get_output_primary_reply_t
typedef struct xcb_randr_get_providers_cookie_t | xcb_randr_get_providers_cookie_t
| xcb_randr_get_providers_cookie_t
typedef struct xcb_randr_get_providers_request_t | xcb_randr_get_providers_request_t
| xcb_randr_get_providers_request_t
typedef struct xcb_randr_get_providers_reply_t | xcb_randr_get_providers_reply_t
| xcb_randr_get_providers_reply_t
typedef enum xcb_randr_provider_capability_t | xcb_randr_provider_capability_t
typedef struct xcb_randr_get_provider_info_cookie_t | xcb_randr_get_provider_info_cookie_t
| xcb_randr_get_provider_info_cookie_t
typedef struct xcb_randr_get_provider_info_request_t | xcb_randr_get_provider_info_request_t
| xcb_randr_get_provider_info_request_t
typedef struct xcb_randr_get_provider_info_reply_t | xcb_randr_get_provider_info_reply_t
| xcb_randr_get_provider_info_reply_t
typedef struct xcb_randr_set_provider_offload_sink_request_t | xcb_randr_set_provider_offload_sink_request_t
| xcb_randr_set_provider_offload_sink_request_t
typedef struct xcb_randr_set_provider_output_source_request_t | xcb_randr_set_provider_output_source_request_t
| xcb_randr_set_provider_output_source_request_t
typedef struct xcb_randr_list_provider_properties_cookie_t | xcb_randr_list_provider_properties_cookie_t
| xcb_randr_list_provider_properties_cookie_t
typedef struct xcb_randr_list_provider_properties_request_t | xcb_randr_list_provider_properties_request_t
| xcb_randr_list_provider_properties_request_t
typedef struct xcb_randr_list_provider_properties_reply_t | xcb_randr_list_provider_properties_reply_t
| xcb_randr_list_provider_properties_reply_t
typedef struct xcb_randr_query_provider_property_cookie_t | xcb_randr_query_provider_property_cookie_t
| xcb_randr_query_provider_property_cookie_t
typedef struct xcb_randr_query_provider_property_request_t | xcb_randr_query_provider_property_request_t
| xcb_randr_query_provider_property_request_t
typedef struct xcb_randr_query_provider_property_reply_t | xcb_randr_query_provider_property_reply_t
| xcb_randr_query_provider_property_reply_t
typedef struct xcb_randr_configure_provider_property_request_t | xcb_randr_configure_provider_property_request_t
| xcb_randr_configure_provider_property_request_t
typedef struct xcb_randr_change_provider_property_request_t | xcb_randr_change_provider_property_request_t
| xcb_randr_change_provider_property_request_t
typedef struct xcb_randr_delete_provider_property_request_t | xcb_randr_delete_provider_property_request_t
| xcb_randr_delete_provider_property_request_t
typedef struct xcb_randr_get_provider_property_cookie_t | xcb_randr_get_provider_property_cookie_t
| xcb_randr_get_provider_property_cookie_t
typedef struct xcb_randr_get_provider_property_request_t | xcb_randr_get_provider_property_request_t
| xcb_randr_get_provider_property_request_t
typedef struct xcb_randr_get_provider_property_reply_t | xcb_randr_get_provider_property_reply_t
| xcb_randr_get_provider_property_reply_t
typedef struct xcb_randr_screen_change_notify_event_t | xcb_randr_screen_change_notify_event_t
| xcb_randr_screen_change_notify_event_t
typedef enum xcb_randr_notify_t | xcb_randr_notify_t
typedef struct xcb_randr_crtc_change_t | xcb_randr_crtc_change_t
| xcb_randr_crtc_change_t
typedef struct xcb_randr_crtc_change_iterator_t | xcb_randr_crtc_change_iterator_t
| xcb_randr_crtc_change_iterator_t
typedef struct xcb_randr_output_change_t | xcb_randr_output_change_t
| xcb_randr_output_change_t
typedef struct xcb_randr_output_change_iterator_t | xcb_randr_output_change_iterator_t
| xcb_randr_output_change_iterator_t
typedef struct xcb_randr_output_property_t | xcb_randr_output_property_t
| xcb_randr_output_property_t
typedef struct xcb_randr_output_property_iterator_t | xcb_randr_output_property_iterator_t
| xcb_randr_output_property_iterator_t
typedef struct xcb_randr_provider_change_t | xcb_randr_provider_change_t
| xcb_randr_provider_change_t
typedef struct xcb_randr_provider_change_iterator_t | xcb_randr_provider_change_iterator_t
| xcb_randr_provider_change_iterator_t
typedef struct xcb_randr_provider_property_t | xcb_randr_provider_property_t
| xcb_randr_provider_property_t
typedef struct xcb_randr_provider_property_iterator_t | xcb_randr_provider_property_iterator_t
| xcb_randr_provider_property_iterator_t
typedef struct xcb_randr_resource_change_t | xcb_randr_resource_change_t
| xcb_randr_resource_change_t
typedef struct xcb_randr_resource_change_iterator_t | xcb_randr_resource_change_iterator_t
| xcb_randr_resource_change_iterator_t
typedef struct xcb_randr_monitor_info_t | xcb_randr_monitor_info_t
| xcb_randr_monitor_info_t
typedef struct xcb_randr_monitor_info_iterator_t | xcb_randr_monitor_info_iterator_t
| xcb_randr_monitor_info_iterator_t
typedef struct xcb_randr_get_monitors_cookie_t | xcb_randr_get_monitors_cookie_t
| xcb_randr_get_monitors_cookie_t
typedef struct xcb_randr_get_monitors_request_t | xcb_randr_get_monitors_request_t
| xcb_randr_get_monitors_request_t
typedef struct xcb_randr_get_monitors_reply_t | xcb_randr_get_monitors_reply_t
| xcb_randr_get_monitors_reply_t
typedef struct xcb_randr_set_monitor_request_t | xcb_randr_set_monitor_request_t
| xcb_randr_set_monitor_request_t
typedef struct xcb_randr_delete_monitor_request_t | xcb_randr_delete_monitor_request_t
| xcb_randr_delete_monitor_request_t
typedef struct xcb_randr_create_lease_cookie_t | xcb_randr_create_lease_cookie_t
| xcb_randr_create_lease_cookie_t
typedef struct xcb_randr_create_lease_request_t | xcb_randr_create_lease_request_t
| xcb_randr_create_lease_request_t
typedef struct xcb_randr_create_lease_reply_t | xcb_randr_create_lease_reply_t
| xcb_randr_create_lease_reply_t
typedef struct xcb_randr_free_lease_request_t | xcb_randr_free_lease_request_t
| xcb_randr_free_lease_request_t
typedef struct xcb_randr_lease_notify_t | xcb_randr_lease_notify_t
| xcb_randr_lease_notify_t
typedef struct xcb_randr_lease_notify_iterator_t | xcb_randr_lease_notify_iterator_t
| xcb_randr_lease_notify_iterator_t
typedef union xcb_randr_notify_data_t | xcb_randr_notify_data_t
| xcb_randr_notify_data_t
typedef struct xcb_randr_notify_data_iterator_t | xcb_randr_notify_data_iterator_t
| xcb_randr_notify_data_iterator_t
typedef struct xcb_randr_notify_event_t | xcb_randr_notify_event_t
| xcb_randr_notify_event_t

## Enumerations
enum | xcb_randr_rotation_t { XCB_RANDR_ROTATION_ROTATE_0 = 1 , XCB_RANDR_ROTATION_ROTATE_90 = 2 , XCB_RANDR_ROTATION_ROTATE_180 = 4 , XCB_RANDR_ROTATION_ROTATE_270 = 8 , XCB_RANDR_ROTATION_REFLECT_X = 16 , XCB_RANDR_ROTATION_REFLECT_Y = 32 }
enum | xcb_randr_set_config_t { XCB_RANDR_SET_CONFIG_SUCCESS = 0 , XCB_RANDR_SET_CONFIG_INVALID_CONFIG_TIME = 1 , XCB_RANDR_SET_CONFIG_INVALID_TIME = 2 , XCB_RANDR_SET_CONFIG_FAILED = 3 }
enum | xcb_randr_notify_mask_t { XCB_RANDR_NOTIFY_MASK_SCREEN_CHANGE = 1 , XCB_RANDR_NOTIFY_MASK_CRTC_CHANGE = 2 , XCB_RANDR_NOTIFY_MASK_OUTPUT_CHANGE = 4 , XCB_RANDR_NOTIFY_MASK_OUTPUT_PROPERTY = 8 , XCB_RANDR_NOTIFY_MASK_PROVIDER_CHANGE = 16 , XCB_RANDR_NOTIFY_MASK_PROVIDER_PROPERTY = 32 , XCB_RANDR_NOTIFY_MASK_RESOURCE_CHANGE = 64 , XCB_RANDR_NOTIFY_MASK_LEASE = 128 }
enum | xcb_randr_mode_flag_t { XCB_RANDR_MODE_FLAG_HSYNC_POSITIVE = 1 , XCB_RANDR_MODE_FLAG_HSYNC_NEGATIVE = 2 , XCB_RANDR_MODE_FLAG_VSYNC_POSITIVE = 4 , XCB_RANDR_MODE_FLAG_VSYNC_NEGATIVE = 8 , XCB_RANDR_MODE_FLAG_INTERLACE = 16 , XCB_RANDR_MODE_FLAG_DOUBLE_SCAN = 32 , XCB_RANDR_MODE_FLAG_CSYNC = 64 , XCB_RANDR_MODE_FLAG_CSYNC_POSITIVE = 128 , XCB_RANDR_MODE_FLAG_CSYNC_NEGATIVE = 256 , XCB_RANDR_MODE_FLAG_HSKEW_PRESENT = 512 , XCB_RANDR_MODE_FLAG_BCAST = 1024 , XCB_RANDR_MODE_FLAG_PIXEL_MULTIPLEX = 2048 , XCB_RANDR_MODE_FLAG_DOUBLE_CLOCK = 4096 , XCB_RANDR_MODE_FLAG_HALVE_CLOCK = 8192 }
enum | xcb_randr_connection_t { XCB_RANDR_CONNECTION_CONNECTED = 0 , XCB_RANDR_CONNECTION_DISCONNECTED = 1 , XCB_RANDR_CONNECTION_UNKNOWN = 2 }
enum | xcb_randr_transform_t { XCB_RANDR_TRANSFORM_UNIT = 1 , XCB_RANDR_TRANSFORM_SCALE_UP = 2 , XCB_RANDR_TRANSFORM_SCALE_DOWN = 4 , XCB_RANDR_TRANSFORM_PROJECTIVE = 8 }
enum | xcb_randr_provider_capability_t { XCB_RANDR_PROVIDER_CAPABILITY_SOURCE_OUTPUT = 1 , XCB_RANDR_PROVIDER_CAPABILITY_SINK_OUTPUT = 2 , XCB_RANDR_PROVIDER_CAPABILITY_SOURCE_OFFLOAD = 4 , XCB_RANDR_PROVIDER_CAPABILITY_SINK_OFFLOAD = 8 }
enum | xcb_randr_notify_t { XCB_RANDR_NOTIFY_CRTC_CHANGE = 0 , XCB_RANDR_NOTIFY_OUTPUT_CHANGE = 1 , XCB_RANDR_NOTIFY_OUTPUT_PROPERTY = 2 , XCB_RANDR_NOTIFY_PROVIDER_CHANGE = 3 , XCB_RANDR_NOTIFY_PROVIDER_PROPERTY = 4 , XCB_RANDR_NOTIFY_RESOURCE_CHANGE = 5 , XCB_RANDR_NOTIFY_LEASE = 6 }

## Functions
void | xcb_randr_mode_next (xcb_randr_mode_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_mode_end (xcb_randr_mode_iterator_t i)
void | xcb_randr_crtc_next (xcb_randr_crtc_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_crtc_end (xcb_randr_crtc_iterator_t i)
void | xcb_randr_output_next (xcb_randr_output_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_output_end (xcb_randr_output_iterator_t i)
void | xcb_randr_provider_next (xcb_randr_provider_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_provider_end (xcb_randr_provider_iterator_t i)
void | xcb_randr_lease_next (xcb_randr_lease_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_lease_end (xcb_randr_lease_iterator_t i)
void | xcb_randr_screen_size_next (xcb_randr_screen_size_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_screen_size_end (xcb_randr_screen_size_iterator_t i)
int | xcb_randr_refresh_rates_sizeof (const void *_buffer)
uint16_t * | xcb_randr_refresh_rates_rates (const xcb_randr_refresh_rates_t *R)
int | xcb_randr_refresh_rates_rates_length (const xcb_randr_refresh_rates_t *R)
xcb_generic_iterator_t | xcb_randr_refresh_rates_rates_end (const xcb_randr_refresh_rates_t *R)
void | xcb_randr_refresh_rates_next (xcb_randr_refresh_rates_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_refresh_rates_end (xcb_randr_refresh_rates_iterator_t i)
xcb_randr_query_version_cookie_t | xcb_randr_query_version (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_randr_query_version_cookie_t | xcb_randr_query_version_unchecked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_randr_query_version_reply_t * | xcb_randr_query_version_reply (xcb_connection_t *c, xcb_randr_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_randr_set_screen_config_cookie_t | xcb_randr_set_screen_config (xcb_connection_t *c, xcb_window_t window, xcb_timestamp_t timestamp, xcb_timestamp_t config_timestamp, uint16_t sizeID, uint16_t rotation, uint16_t rate)
xcb_randr_set_screen_config_cookie_t | xcb_randr_set_screen_config_unchecked (xcb_connection_t *c, xcb_window_t window, xcb_timestamp_t timestamp, xcb_timestamp_t config_timestamp, uint16_t sizeID, uint16_t rotation, uint16_t rate)
xcb_randr_set_screen_config_reply_t * | xcb_randr_set_screen_config_reply (xcb_connection_t *c, xcb_randr_set_screen_config_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_randr_select_input_checked (xcb_connection_t *c, xcb_window_t window, uint16_t enable)
xcb_void_cookie_t | xcb_randr_select_input (xcb_connection_t *c, xcb_window_t window, uint16_t enable)
int | xcb_randr_get_screen_info_sizeof (const void *_buffer)
xcb_randr_get_screen_info_cookie_t | xcb_randr_get_screen_info (xcb_connection_t *c, xcb_window_t window)
xcb_randr_get_screen_info_cookie_t | xcb_randr_get_screen_info_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_randr_screen_size_t * | xcb_randr_get_screen_info_sizes (const xcb_randr_get_screen_info_reply_t *R)
int | xcb_randr_get_screen_info_sizes_length (const xcb_randr_get_screen_info_reply_t *R)
xcb_randr_screen_size_iterator_t | xcb_randr_get_screen_info_sizes_iterator (const xcb_randr_get_screen_info_reply_t *R)
int | xcb_randr_get_screen_info_rates_length (const xcb_randr_get_screen_info_reply_t *R)
xcb_randr_refresh_rates_iterator_t | xcb_randr_get_screen_info_rates_iterator (const xcb_randr_get_screen_info_reply_t *R)
xcb_randr_get_screen_info_reply_t * | xcb_randr_get_screen_info_reply (xcb_connection_t *c, xcb_randr_get_screen_info_cookie_t cookie, xcb_generic_error_t **e)
xcb_randr_get_screen_size_range_cookie_t | xcb_randr_get_screen_size_range (xcb_connection_t *c, xcb_window_t window)
xcb_randr_get_screen_size_range_cookie_t | xcb_randr_get_screen_size_range_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_randr_get_screen_size_range_reply_t * | xcb_randr_get_screen_size_range_reply (xcb_connection_t *c, xcb_randr_get_screen_size_range_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_randr_set_screen_size_checked (xcb_connection_t *c, xcb_window_t window, uint16_t width, uint16_t height, uint32_t mm_width, uint32_t mm_height)
xcb_void_cookie_t | xcb_randr_set_screen_size (xcb_connection_t *c, xcb_window_t window, uint16_t width, uint16_t height, uint32_t mm_width, uint32_t mm_height)
void | xcb_randr_mode_info_next (xcb_randr_mode_info_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_mode_info_end (xcb_randr_mode_info_iterator_t i)
int | xcb_randr_get_screen_resources_sizeof (const void *_buffer)
xcb_randr_get_screen_resources_cookie_t | xcb_randr_get_screen_resources (xcb_connection_t *c, xcb_window_t window)
xcb_randr_get_screen_resources_cookie_t | xcb_randr_get_screen_resources_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_randr_crtc_t * | xcb_randr_get_screen_resources_crtcs (const xcb_randr_get_screen_resources_reply_t *R)
int | xcb_randr_get_screen_resources_crtcs_length (const xcb_randr_get_screen_resources_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_screen_resources_crtcs_end (const xcb_randr_get_screen_resources_reply_t *R)
xcb_randr_output_t * | xcb_randr_get_screen_resources_outputs (const xcb_randr_get_screen_resources_reply_t *R)
int | xcb_randr_get_screen_resources_outputs_length (const xcb_randr_get_screen_resources_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_screen_resources_outputs_end (const xcb_randr_get_screen_resources_reply_t *R)
xcb_randr_mode_info_t * | xcb_randr_get_screen_resources_modes (const xcb_randr_get_screen_resources_reply_t *R)
int | xcb_randr_get_screen_resources_modes_length (const xcb_randr_get_screen_resources_reply_t *R)
xcb_randr_mode_info_iterator_t | xcb_randr_get_screen_resources_modes_iterator (const xcb_randr_get_screen_resources_reply_t *R)
uint8_t * | xcb_randr_get_screen_resources_names (const xcb_randr_get_screen_resources_reply_t *R)
int | xcb_randr_get_screen_resources_names_length (const xcb_randr_get_screen_resources_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_screen_resources_names_end (const xcb_randr_get_screen_resources_reply_t *R)
xcb_randr_get_screen_resources_reply_t * | xcb_randr_get_screen_resources_reply (xcb_connection_t *c, xcb_randr_get_screen_resources_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_get_output_info_sizeof (const void *_buffer)
xcb_randr_get_output_info_cookie_t | xcb_randr_get_output_info (xcb_connection_t *c, xcb_randr_output_t output, xcb_timestamp_t config_timestamp)
xcb_randr_get_output_info_cookie_t | xcb_randr_get_output_info_unchecked (xcb_connection_t *c, xcb_randr_output_t output, xcb_timestamp_t config_timestamp)
xcb_randr_crtc_t * | xcb_randr_get_output_info_crtcs (const xcb_randr_get_output_info_reply_t *R)
int | xcb_randr_get_output_info_crtcs_length (const xcb_randr_get_output_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_output_info_crtcs_end (const xcb_randr_get_output_info_reply_t *R)
xcb_randr_mode_t * | xcb_randr_get_output_info_modes (const xcb_randr_get_output_info_reply_t *R)
int | xcb_randr_get_output_info_modes_length (const xcb_randr_get_output_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_output_info_modes_end (const xcb_randr_get_output_info_reply_t *R)
xcb_randr_output_t * | xcb_randr_get_output_info_clones (const xcb_randr_get_output_info_reply_t *R)
int | xcb_randr_get_output_info_clones_length (const xcb_randr_get_output_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_output_info_clones_end (const xcb_randr_get_output_info_reply_t *R)
uint8_t * | xcb_randr_get_output_info_name (const xcb_randr_get_output_info_reply_t *R)
int | xcb_randr_get_output_info_name_length (const xcb_randr_get_output_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_output_info_name_end (const xcb_randr_get_output_info_reply_t *R)
xcb_randr_get_output_info_reply_t * | xcb_randr_get_output_info_reply (xcb_connection_t *c, xcb_randr_get_output_info_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_list_output_properties_sizeof (const void *_buffer)
xcb_randr_list_output_properties_cookie_t | xcb_randr_list_output_properties (xcb_connection_t *c, xcb_randr_output_t output)
xcb_randr_list_output_properties_cookie_t | xcb_randr_list_output_properties_unchecked (xcb_connection_t *c, xcb_randr_output_t output)
xcb_atom_t * | xcb_randr_list_output_properties_atoms (const xcb_randr_list_output_properties_reply_t *R)
int | xcb_randr_list_output_properties_atoms_length (const xcb_randr_list_output_properties_reply_t *R)
xcb_generic_iterator_t | xcb_randr_list_output_properties_atoms_end (const xcb_randr_list_output_properties_reply_t *R)
xcb_randr_list_output_properties_reply_t * | xcb_randr_list_output_properties_reply (xcb_connection_t *c, xcb_randr_list_output_properties_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_query_output_property_sizeof (const void *_buffer)
xcb_randr_query_output_property_cookie_t | xcb_randr_query_output_property (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property)
xcb_randr_query_output_property_cookie_t | xcb_randr_query_output_property_unchecked (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property)
int32_t * | xcb_randr_query_output_property_valid_values (const xcb_randr_query_output_property_reply_t *R)
int | xcb_randr_query_output_property_valid_values_length (const xcb_randr_query_output_property_reply_t *R)
xcb_generic_iterator_t | xcb_randr_query_output_property_valid_values_end (const xcb_randr_query_output_property_reply_t *R)
xcb_randr_query_output_property_reply_t * | xcb_randr_query_output_property_reply (xcb_connection_t *c, xcb_randr_query_output_property_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_configure_output_property_sizeof (const void *_buffer, uint32_t values_len)
xcb_void_cookie_t | xcb_randr_configure_output_property_checked (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property, uint8_t pending, uint8_t range, uint32_t values_len, const int32_t *values)
xcb_void_cookie_t | xcb_randr_configure_output_property (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property, uint8_t pending, uint8_t range, uint32_t values_len, const int32_t *values)
int32_t * | xcb_randr_configure_output_property_values (const xcb_randr_configure_output_property_request_t *R)
int | xcb_randr_configure_output_property_values_length (const xcb_randr_configure_output_property_request_t *R)
xcb_generic_iterator_t | xcb_randr_configure_output_property_values_end (const xcb_randr_configure_output_property_request_t *R)
int | xcb_randr_change_output_property_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_randr_change_output_property_checked (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property, xcb_atom_t type, uint8_t format, uint8_t mode, uint32_t num_units, const void *data)
xcb_void_cookie_t | xcb_randr_change_output_property (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property, xcb_atom_t type, uint8_t format, uint8_t mode, uint32_t num_units, const void *data)
void * | xcb_randr_change_output_property_data (const xcb_randr_change_output_property_request_t *R)
int | xcb_randr_change_output_property_data_length (const xcb_randr_change_output_property_request_t *R)
xcb_generic_iterator_t | xcb_randr_change_output_property_data_end (const xcb_randr_change_output_property_request_t *R)
xcb_void_cookie_t | xcb_randr_delete_output_property_checked (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property)
xcb_void_cookie_t | xcb_randr_delete_output_property (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property)
int | xcb_randr_get_output_property_sizeof (const void *_buffer)
xcb_randr_get_output_property_cookie_t | xcb_randr_get_output_property (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property, xcb_atom_t type, uint32_t long_offset, uint32_t long_length, uint8_t _delete, uint8_t pending)
xcb_randr_get_output_property_cookie_t | xcb_randr_get_output_property_unchecked (xcb_connection_t *c, xcb_randr_output_t output, xcb_atom_t property, xcb_atom_t type, uint32_t long_offset, uint32_t long_length, uint8_t _delete, uint8_t pending)
uint8_t * | xcb_randr_get_output_property_data (const xcb_randr_get_output_property_reply_t *R)
int | xcb_randr_get_output_property_data_length (const xcb_randr_get_output_property_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_output_property_data_end (const xcb_randr_get_output_property_reply_t *R)
xcb_randr_get_output_property_reply_t * | xcb_randr_get_output_property_reply (xcb_connection_t *c, xcb_randr_get_output_property_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_create_mode_sizeof (const void *_buffer, uint32_t name_len)
xcb_randr_create_mode_cookie_t | xcb_randr_create_mode (xcb_connection_t *c, xcb_window_t window, xcb_randr_mode_info_t mode_info, uint32_t name_len, const char *name)
xcb_randr_create_mode_cookie_t | xcb_randr_create_mode_unchecked (xcb_connection_t *c, xcb_window_t window, xcb_randr_mode_info_t mode_info, uint32_t name_len, const char *name)
xcb_randr_create_mode_reply_t * | xcb_randr_create_mode_reply (xcb_connection_t *c, xcb_randr_create_mode_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_randr_destroy_mode_checked (xcb_connection_t *c, xcb_randr_mode_t mode)
xcb_void_cookie_t | xcb_randr_destroy_mode (xcb_connection_t *c, xcb_randr_mode_t mode)
xcb_void_cookie_t | xcb_randr_add_output_mode_checked (xcb_connection_t *c, xcb_randr_output_t output, xcb_randr_mode_t mode)
xcb_void_cookie_t | xcb_randr_add_output_mode (xcb_connection_t *c, xcb_randr_output_t output, xcb_randr_mode_t mode)
xcb_void_cookie_t | xcb_randr_delete_output_mode_checked (xcb_connection_t *c, xcb_randr_output_t output, xcb_randr_mode_t mode)
xcb_void_cookie_t | xcb_randr_delete_output_mode (xcb_connection_t *c, xcb_randr_output_t output, xcb_randr_mode_t mode)
int | xcb_randr_get_crtc_info_sizeof (const void *_buffer)
xcb_randr_get_crtc_info_cookie_t | xcb_randr_get_crtc_info (xcb_connection_t *c, xcb_randr_crtc_t crtc, xcb_timestamp_t config_timestamp)
xcb_randr_get_crtc_info_cookie_t | xcb_randr_get_crtc_info_unchecked (xcb_connection_t *c, xcb_randr_crtc_t crtc, xcb_timestamp_t config_timestamp)
xcb_randr_output_t * | xcb_randr_get_crtc_info_outputs (const xcb_randr_get_crtc_info_reply_t *R)
int | xcb_randr_get_crtc_info_outputs_length (const xcb_randr_get_crtc_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_info_outputs_end (const xcb_randr_get_crtc_info_reply_t *R)
xcb_randr_output_t * | xcb_randr_get_crtc_info_possible (const xcb_randr_get_crtc_info_reply_t *R)
int | xcb_randr_get_crtc_info_possible_length (const xcb_randr_get_crtc_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_info_possible_end (const xcb_randr_get_crtc_info_reply_t *R)
xcb_randr_get_crtc_info_reply_t * | xcb_randr_get_crtc_info_reply (xcb_connection_t *c, xcb_randr_get_crtc_info_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_set_crtc_config_sizeof (const void *_buffer, uint32_t outputs_len)
xcb_randr_set_crtc_config_cookie_t | xcb_randr_set_crtc_config (xcb_connection_t *c, xcb_randr_crtc_t crtc, xcb_timestamp_t timestamp, xcb_timestamp_t config_timestamp, int16_t x, int16_t y, xcb_randr_mode_t mode, uint16_t rotation, uint32_t outputs_len, const xcb_randr_output_t *outputs)
xcb_randr_set_crtc_config_cookie_t | xcb_randr_set_crtc_config_unchecked (xcb_connection_t *c, xcb_randr_crtc_t crtc, xcb_timestamp_t timestamp, xcb_timestamp_t config_timestamp, int16_t x, int16_t y, xcb_randr_mode_t mode, uint16_t rotation, uint32_t outputs_len, const xcb_randr_output_t *outputs)
xcb_randr_set_crtc_config_reply_t * | xcb_randr_set_crtc_config_reply (xcb_connection_t *c, xcb_randr_set_crtc_config_cookie_t cookie, xcb_generic_error_t **e)
xcb_randr_get_crtc_gamma_size_cookie_t | xcb_randr_get_crtc_gamma_size (xcb_connection_t *c, xcb_randr_crtc_t crtc)
xcb_randr_get_crtc_gamma_size_cookie_t | xcb_randr_get_crtc_gamma_size_unchecked (xcb_connection_t *c, xcb_randr_crtc_t crtc)
xcb_randr_get_crtc_gamma_size_reply_t * | xcb_randr_get_crtc_gamma_size_reply (xcb_connection_t *c, xcb_randr_get_crtc_gamma_size_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_get_crtc_gamma_sizeof (const void *_buffer)
xcb_randr_get_crtc_gamma_cookie_t | xcb_randr_get_crtc_gamma (xcb_connection_t *c, xcb_randr_crtc_t crtc)
xcb_randr_get_crtc_gamma_cookie_t | xcb_randr_get_crtc_gamma_unchecked (xcb_connection_t *c, xcb_randr_crtc_t crtc)
uint16_t * | xcb_randr_get_crtc_gamma_red (const xcb_randr_get_crtc_gamma_reply_t *R)
int | xcb_randr_get_crtc_gamma_red_length (const xcb_randr_get_crtc_gamma_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_gamma_red_end (const xcb_randr_get_crtc_gamma_reply_t *R)
uint16_t * | xcb_randr_get_crtc_gamma_green (const xcb_randr_get_crtc_gamma_reply_t *R)
int | xcb_randr_get_crtc_gamma_green_length (const xcb_randr_get_crtc_gamma_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_gamma_green_end (const xcb_randr_get_crtc_gamma_reply_t *R)
uint16_t * | xcb_randr_get_crtc_gamma_blue (const xcb_randr_get_crtc_gamma_reply_t *R)
int | xcb_randr_get_crtc_gamma_blue_length (const xcb_randr_get_crtc_gamma_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_gamma_blue_end (const xcb_randr_get_crtc_gamma_reply_t *R)
xcb_randr_get_crtc_gamma_reply_t * | xcb_randr_get_crtc_gamma_reply (xcb_connection_t *c, xcb_randr_get_crtc_gamma_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_set_crtc_gamma_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_randr_set_crtc_gamma_checked (xcb_connection_t *c, xcb_randr_crtc_t crtc, uint16_t size, const uint16_t *red, const uint16_t *green, const uint16_t *blue)
xcb_void_cookie_t | xcb_randr_set_crtc_gamma (xcb_connection_t *c, xcb_randr_crtc_t crtc, uint16_t size, const uint16_t *red, const uint16_t *green, const uint16_t *blue)
uint16_t * | xcb_randr_set_crtc_gamma_red (const xcb_randr_set_crtc_gamma_request_t *R)
int | xcb_randr_set_crtc_gamma_red_length (const xcb_randr_set_crtc_gamma_request_t *R)
xcb_generic_iterator_t | xcb_randr_set_crtc_gamma_red_end (const xcb_randr_set_crtc_gamma_request_t *R)
uint16_t * | xcb_randr_set_crtc_gamma_green (const xcb_randr_set_crtc_gamma_request_t *R)
int | xcb_randr_set_crtc_gamma_green_length (const xcb_randr_set_crtc_gamma_request_t *R)
xcb_generic_iterator_t | xcb_randr_set_crtc_gamma_green_end (const xcb_randr_set_crtc_gamma_request_t *R)
uint16_t * | xcb_randr_set_crtc_gamma_blue (const xcb_randr_set_crtc_gamma_request_t *R)
int | xcb_randr_set_crtc_gamma_blue_length (const xcb_randr_set_crtc_gamma_request_t *R)
xcb_generic_iterator_t | xcb_randr_set_crtc_gamma_blue_end (const xcb_randr_set_crtc_gamma_request_t *R)
int | xcb_randr_get_screen_resources_current_sizeof (const void *_buffer)
xcb_randr_get_screen_resources_current_cookie_t | xcb_randr_get_screen_resources_current (xcb_connection_t *c, xcb_window_t window)
xcb_randr_get_screen_resources_current_cookie_t | xcb_randr_get_screen_resources_current_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_randr_crtc_t * | xcb_randr_get_screen_resources_current_crtcs (const xcb_randr_get_screen_resources_current_reply_t *R)
int | xcb_randr_get_screen_resources_current_crtcs_length (const xcb_randr_get_screen_resources_current_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_screen_resources_current_crtcs_end (const xcb_randr_get_screen_resources_current_reply_t *R)
xcb_randr_output_t * | xcb_randr_get_screen_resources_current_outputs (const xcb_randr_get_screen_resources_current_reply_t *R)
int | xcb_randr_get_screen_resources_current_outputs_length (const xcb_randr_get_screen_resources_current_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_screen_resources_current_outputs_end (const xcb_randr_get_screen_resources_current_reply_t *R)
xcb_randr_mode_info_t * | xcb_randr_get_screen_resources_current_modes (const xcb_randr_get_screen_resources_current_reply_t *R)
int | xcb_randr_get_screen_resources_current_modes_length (const xcb_randr_get_screen_resources_current_reply_t *R)
xcb_randr_mode_info_iterator_t | xcb_randr_get_screen_resources_current_modes_iterator (const xcb_randr_get_screen_resources_current_reply_t *R)
uint8_t * | xcb_randr_get_screen_resources_current_names (const xcb_randr_get_screen_resources_current_reply_t *R)
int | xcb_randr_get_screen_resources_current_names_length (const xcb_randr_get_screen_resources_current_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_screen_resources_current_names_end (const xcb_randr_get_screen_resources_current_reply_t *R)
xcb_randr_get_screen_resources_current_reply_t * | xcb_randr_get_screen_resources_current_reply (xcb_connection_t *c, xcb_randr_get_screen_resources_current_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_set_crtc_transform_sizeof (const void *_buffer, uint32_t filter_params_len)
xcb_void_cookie_t | xcb_randr_set_crtc_transform_checked (xcb_connection_t *c, xcb_randr_crtc_t crtc, xcb_render_transform_t transform, uint16_t filter_len, const char *filter_name, uint32_t filter_params_len, const xcb_render_fixed_t *filter_params)
xcb_void_cookie_t | xcb_randr_set_crtc_transform (xcb_connection_t *c, xcb_randr_crtc_t crtc, xcb_render_transform_t transform, uint16_t filter_len, const char *filter_name, uint32_t filter_params_len, const xcb_render_fixed_t *filter_params)
char * | xcb_randr_set_crtc_transform_filter_name (const xcb_randr_set_crtc_transform_request_t *R)
int | xcb_randr_set_crtc_transform_filter_name_length (const xcb_randr_set_crtc_transform_request_t *R)
xcb_generic_iterator_t | xcb_randr_set_crtc_transform_filter_name_end (const xcb_randr_set_crtc_transform_request_t *R)
xcb_render_fixed_t * | xcb_randr_set_crtc_transform_filter_params (const xcb_randr_set_crtc_transform_request_t *R)
int | xcb_randr_set_crtc_transform_filter_params_length (const xcb_randr_set_crtc_transform_request_t *R)
xcb_generic_iterator_t | xcb_randr_set_crtc_transform_filter_params_end (const xcb_randr_set_crtc_transform_request_t *R)
int | xcb_randr_get_crtc_transform_sizeof (const void *_buffer)
xcb_randr_get_crtc_transform_cookie_t | xcb_randr_get_crtc_transform (xcb_connection_t *c, xcb_randr_crtc_t crtc)
xcb_randr_get_crtc_transform_cookie_t | xcb_randr_get_crtc_transform_unchecked (xcb_connection_t *c, xcb_randr_crtc_t crtc)
char * | xcb_randr_get_crtc_transform_pending_filter_name (const xcb_randr_get_crtc_transform_reply_t *R)
int | xcb_randr_get_crtc_transform_pending_filter_name_length (const xcb_randr_get_crtc_transform_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_transform_pending_filter_name_end (const xcb_randr_get_crtc_transform_reply_t *R)
xcb_render_fixed_t * | xcb_randr_get_crtc_transform_pending_params (const xcb_randr_get_crtc_transform_reply_t *R)
int | xcb_randr_get_crtc_transform_pending_params_length (const xcb_randr_get_crtc_transform_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_transform_pending_params_end (const xcb_randr_get_crtc_transform_reply_t *R)
char * | xcb_randr_get_crtc_transform_current_filter_name (const xcb_randr_get_crtc_transform_reply_t *R)
int | xcb_randr_get_crtc_transform_current_filter_name_length (const xcb_randr_get_crtc_transform_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_transform_current_filter_name_end (const xcb_randr_get_crtc_transform_reply_t *R)
xcb_render_fixed_t * | xcb_randr_get_crtc_transform_current_params (const xcb_randr_get_crtc_transform_reply_t *R)
int | xcb_randr_get_crtc_transform_current_params_length (const xcb_randr_get_crtc_transform_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_crtc_transform_current_params_end (const xcb_randr_get_crtc_transform_reply_t *R)
xcb_randr_get_crtc_transform_reply_t * | xcb_randr_get_crtc_transform_reply (xcb_connection_t *c, xcb_randr_get_crtc_transform_cookie_t cookie, xcb_generic_error_t **e)
xcb_randr_get_panning_cookie_t | xcb_randr_get_panning (xcb_connection_t *c, xcb_randr_crtc_t crtc)
xcb_randr_get_panning_cookie_t | xcb_randr_get_panning_unchecked (xcb_connection_t *c, xcb_randr_crtc_t crtc)
xcb_randr_get_panning_reply_t * | xcb_randr_get_panning_reply (xcb_connection_t *c, xcb_randr_get_panning_cookie_t cookie, xcb_generic_error_t **e)
xcb_randr_set_panning_cookie_t | xcb_randr_set_panning (xcb_connection_t *c, xcb_randr_crtc_t crtc, xcb_timestamp_t timestamp, uint16_t left, uint16_t top, uint16_t width, uint16_t height, uint16_t track_left, uint16_t track_top, uint16_t track_width, uint16_t track_height, int16_t border_left, int16_t border_top, int16_t border_right, int16_t border_bottom)
xcb_randr_set_panning_cookie_t | xcb_randr_set_panning_unchecked (xcb_connection_t *c, xcb_randr_crtc_t crtc, xcb_timestamp_t timestamp, uint16_t left, uint16_t top, uint16_t width, uint16_t height, uint16_t track_left, uint16_t track_top, uint16_t track_width, uint16_t track_height, int16_t border_left, int16_t border_top, int16_t border_right, int16_t border_bottom)
xcb_randr_set_panning_reply_t * | xcb_randr_set_panning_reply (xcb_connection_t *c, xcb_randr_set_panning_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_randr_set_output_primary_checked (xcb_connection_t *c, xcb_window_t window, xcb_randr_output_t output)
xcb_void_cookie_t | xcb_randr_set_output_primary (xcb_connection_t *c, xcb_window_t window, xcb_randr_output_t output)
xcb_randr_get_output_primary_cookie_t | xcb_randr_get_output_primary (xcb_connection_t *c, xcb_window_t window)
xcb_randr_get_output_primary_cookie_t | xcb_randr_get_output_primary_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_randr_get_output_primary_reply_t * | xcb_randr_get_output_primary_reply (xcb_connection_t *c, xcb_randr_get_output_primary_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_get_providers_sizeof (const void *_buffer)
xcb_randr_get_providers_cookie_t | xcb_randr_get_providers (xcb_connection_t *c, xcb_window_t window)
xcb_randr_get_providers_cookie_t | xcb_randr_get_providers_unchecked (xcb_connection_t *c, xcb_window_t window)
xcb_randr_provider_t * | xcb_randr_get_providers_providers (const xcb_randr_get_providers_reply_t *R)
int | xcb_randr_get_providers_providers_length (const xcb_randr_get_providers_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_providers_providers_end (const xcb_randr_get_providers_reply_t *R)
xcb_randr_get_providers_reply_t * | xcb_randr_get_providers_reply (xcb_connection_t *c, xcb_randr_get_providers_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_get_provider_info_sizeof (const void *_buffer)
xcb_randr_get_provider_info_cookie_t | xcb_randr_get_provider_info (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_timestamp_t config_timestamp)
xcb_randr_get_provider_info_cookie_t | xcb_randr_get_provider_info_unchecked (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_timestamp_t config_timestamp)
xcb_randr_crtc_t * | xcb_randr_get_provider_info_crtcs (const xcb_randr_get_provider_info_reply_t *R)
int | xcb_randr_get_provider_info_crtcs_length (const xcb_randr_get_provider_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_provider_info_crtcs_end (const xcb_randr_get_provider_info_reply_t *R)
xcb_randr_output_t * | xcb_randr_get_provider_info_outputs (const xcb_randr_get_provider_info_reply_t *R)
int | xcb_randr_get_provider_info_outputs_length (const xcb_randr_get_provider_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_provider_info_outputs_end (const xcb_randr_get_provider_info_reply_t *R)
xcb_randr_provider_t * | xcb_randr_get_provider_info_associated_providers (const xcb_randr_get_provider_info_reply_t *R)
int | xcb_randr_get_provider_info_associated_providers_length (const xcb_randr_get_provider_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_provider_info_associated_providers_end (const xcb_randr_get_provider_info_reply_t *R)
uint32_t * | xcb_randr_get_provider_info_associated_capability (const xcb_randr_get_provider_info_reply_t *R)
int | xcb_randr_get_provider_info_associated_capability_length (const xcb_randr_get_provider_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_provider_info_associated_capability_end (const xcb_randr_get_provider_info_reply_t *R)
char * | xcb_randr_get_provider_info_name (const xcb_randr_get_provider_info_reply_t *R)
int | xcb_randr_get_provider_info_name_length (const xcb_randr_get_provider_info_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_provider_info_name_end (const xcb_randr_get_provider_info_reply_t *R)
xcb_randr_get_provider_info_reply_t * | xcb_randr_get_provider_info_reply (xcb_connection_t *c, xcb_randr_get_provider_info_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_randr_set_provider_offload_sink_checked (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_randr_provider_t sink_provider, xcb_timestamp_t config_timestamp)
xcb_void_cookie_t | xcb_randr_set_provider_offload_sink (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_randr_provider_t sink_provider, xcb_timestamp_t config_timestamp)
xcb_void_cookie_t | xcb_randr_set_provider_output_source_checked (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_randr_provider_t source_provider, xcb_timestamp_t config_timestamp)
xcb_void_cookie_t | xcb_randr_set_provider_output_source (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_randr_provider_t source_provider, xcb_timestamp_t config_timestamp)
int | xcb_randr_list_provider_properties_sizeof (const void *_buffer)
xcb_randr_list_provider_properties_cookie_t | xcb_randr_list_provider_properties (xcb_connection_t *c, xcb_randr_provider_t provider)
xcb_randr_list_provider_properties_cookie_t | xcb_randr_list_provider_properties_unchecked (xcb_connection_t *c, xcb_randr_provider_t provider)
xcb_atom_t * | xcb_randr_list_provider_properties_atoms (const xcb_randr_list_provider_properties_reply_t *R)
int | xcb_randr_list_provider_properties_atoms_length (const xcb_randr_list_provider_properties_reply_t *R)
xcb_generic_iterator_t | xcb_randr_list_provider_properties_atoms_end (const xcb_randr_list_provider_properties_reply_t *R)
xcb_randr_list_provider_properties_reply_t * | xcb_randr_list_provider_properties_reply (xcb_connection_t *c, xcb_randr_list_provider_properties_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_query_provider_property_sizeof (const void *_buffer)
xcb_randr_query_provider_property_cookie_t | xcb_randr_query_provider_property (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property)
xcb_randr_query_provider_property_cookie_t | xcb_randr_query_provider_property_unchecked (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property)
int32_t * | xcb_randr_query_provider_property_valid_values (const xcb_randr_query_provider_property_reply_t *R)
int | xcb_randr_query_provider_property_valid_values_length (const xcb_randr_query_provider_property_reply_t *R)
xcb_generic_iterator_t | xcb_randr_query_provider_property_valid_values_end (const xcb_randr_query_provider_property_reply_t *R)
xcb_randr_query_provider_property_reply_t * | xcb_randr_query_provider_property_reply (xcb_connection_t *c, xcb_randr_query_provider_property_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_configure_provider_property_sizeof (const void *_buffer, uint32_t values_len)
xcb_void_cookie_t | xcb_randr_configure_provider_property_checked (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property, uint8_t pending, uint8_t range, uint32_t values_len, const int32_t *values)
xcb_void_cookie_t | xcb_randr_configure_provider_property (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property, uint8_t pending, uint8_t range, uint32_t values_len, const int32_t *values)
int32_t * | xcb_randr_configure_provider_property_values (const xcb_randr_configure_provider_property_request_t *R)
int | xcb_randr_configure_provider_property_values_length (const xcb_randr_configure_provider_property_request_t *R)
xcb_generic_iterator_t | xcb_randr_configure_provider_property_values_end (const xcb_randr_configure_provider_property_request_t *R)
int | xcb_randr_change_provider_property_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_randr_change_provider_property_checked (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property, xcb_atom_t type, uint8_t format, uint8_t mode, uint32_t num_items, const void *data)
xcb_void_cookie_t | xcb_randr_change_provider_property (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property, xcb_atom_t type, uint8_t format, uint8_t mode, uint32_t num_items, const void *data)
void * | xcb_randr_change_provider_property_data (const xcb_randr_change_provider_property_request_t *R)
int | xcb_randr_change_provider_property_data_length (const xcb_randr_change_provider_property_request_t *R)
xcb_generic_iterator_t | xcb_randr_change_provider_property_data_end (const xcb_randr_change_provider_property_request_t *R)
xcb_void_cookie_t | xcb_randr_delete_provider_property_checked (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property)
xcb_void_cookie_t | xcb_randr_delete_provider_property (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property)
int | xcb_randr_get_provider_property_sizeof (const void *_buffer)
xcb_randr_get_provider_property_cookie_t | xcb_randr_get_provider_property (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property, xcb_atom_t type, uint32_t long_offset, uint32_t long_length, uint8_t _delete, uint8_t pending)
xcb_randr_get_provider_property_cookie_t | xcb_randr_get_provider_property_unchecked (xcb_connection_t *c, xcb_randr_provider_t provider, xcb_atom_t property, xcb_atom_t type, uint32_t long_offset, uint32_t long_length, uint8_t _delete, uint8_t pending)
void * | xcb_randr_get_provider_property_data (const xcb_randr_get_provider_property_reply_t *R)
int | xcb_randr_get_provider_property_data_length (const xcb_randr_get_provider_property_reply_t *R)
xcb_generic_iterator_t | xcb_randr_get_provider_property_data_end (const xcb_randr_get_provider_property_reply_t *R)
xcb_randr_get_provider_property_reply_t * | xcb_randr_get_provider_property_reply (xcb_connection_t *c, xcb_randr_get_provider_property_cookie_t cookie, xcb_generic_error_t **e)
void | xcb_randr_crtc_change_next (xcb_randr_crtc_change_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_crtc_change_end (xcb_randr_crtc_change_iterator_t i)
void | xcb_randr_output_change_next (xcb_randr_output_change_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_output_change_end (xcb_randr_output_change_iterator_t i)
void | xcb_randr_output_property_next (xcb_randr_output_property_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_output_property_end (xcb_randr_output_property_iterator_t i)
void | xcb_randr_provider_change_next (xcb_randr_provider_change_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_provider_change_end (xcb_randr_provider_change_iterator_t i)
void | xcb_randr_provider_property_next (xcb_randr_provider_property_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_provider_property_end (xcb_randr_provider_property_iterator_t i)
void | xcb_randr_resource_change_next (xcb_randr_resource_change_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_resource_change_end (xcb_randr_resource_change_iterator_t i)
int | xcb_randr_monitor_info_sizeof (const void *_buffer)
xcb_randr_output_t * | xcb_randr_monitor_info_outputs (const xcb_randr_monitor_info_t *R)
int | xcb_randr_monitor_info_outputs_length (const xcb_randr_monitor_info_t *R)
xcb_generic_iterator_t | xcb_randr_monitor_info_outputs_end (const xcb_randr_monitor_info_t *R)
void | xcb_randr_monitor_info_next (xcb_randr_monitor_info_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_monitor_info_end (xcb_randr_monitor_info_iterator_t i)
int | xcb_randr_get_monitors_sizeof (const void *_buffer)
xcb_randr_get_monitors_cookie_t | xcb_randr_get_monitors (xcb_connection_t *c, xcb_window_t window, uint8_t get_active)
xcb_randr_get_monitors_cookie_t | xcb_randr_get_monitors_unchecked (xcb_connection_t *c, xcb_window_t window, uint8_t get_active)
int | xcb_randr_get_monitors_monitors_length (const xcb_randr_get_monitors_reply_t *R)
xcb_randr_monitor_info_iterator_t | xcb_randr_get_monitors_monitors_iterator (const xcb_randr_get_monitors_reply_t *R)
xcb_randr_get_monitors_reply_t * | xcb_randr_get_monitors_reply (xcb_connection_t *c, xcb_randr_get_monitors_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_randr_set_monitor_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_randr_set_monitor_checked (xcb_connection_t *c, xcb_window_t window, xcb_randr_monitor_info_t *monitorinfo)
xcb_void_cookie_t | xcb_randr_set_monitor (xcb_connection_t *c, xcb_window_t window, xcb_randr_monitor_info_t *monitorinfo)
xcb_randr_monitor_info_t * | xcb_randr_set_monitor_monitorinfo (const xcb_randr_set_monitor_request_t *R)
xcb_void_cookie_t | xcb_randr_delete_monitor_checked (xcb_connection_t *c, xcb_window_t window, xcb_atom_t name)
xcb_void_cookie_t | xcb_randr_delete_monitor (xcb_connection_t *c, xcb_window_t window, xcb_atom_t name)
int | xcb_randr_create_lease_sizeof (const void *_buffer)
xcb_randr_create_lease_cookie_t | xcb_randr_create_lease (xcb_connection_t *c, xcb_window_t window, xcb_randr_lease_t lid, uint16_t num_crtcs, uint16_t num_outputs, const xcb_randr_crtc_t *crtcs, const xcb_randr_output_t *outputs)
xcb_randr_create_lease_cookie_t | xcb_randr_create_lease_unchecked (xcb_connection_t *c, xcb_window_t window, xcb_randr_lease_t lid, uint16_t num_crtcs, uint16_t num_outputs, const xcb_randr_crtc_t *crtcs, const xcb_randr_output_t *outputs)
xcb_randr_create_lease_reply_t * | xcb_randr_create_lease_reply (xcb_connection_t *c, xcb_randr_create_lease_cookie_t cookie, xcb_generic_error_t **e)
int * | xcb_randr_create_lease_reply_fds (xcb_connection_t *c, xcb_randr_create_lease_reply_t *reply)
xcb_void_cookie_t | xcb_randr_free_lease_checked (xcb_connection_t *c, xcb_randr_lease_t lid, uint8_t terminate)
xcb_void_cookie_t | xcb_randr_free_lease (xcb_connection_t *c, xcb_randr_lease_t lid, uint8_t terminate)
void | xcb_randr_lease_notify_next (xcb_randr_lease_notify_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_lease_notify_end (xcb_randr_lease_notify_iterator_t i)
void | xcb_randr_notify_data_next (xcb_randr_notify_data_iterator_t *i)
xcb_generic_iterator_t | xcb_randr_notify_data_end (xcb_randr_notify_data_iterator_t i)

## Variables
xcb_extension_t | xcb_randr_id

## Detailed Description

RandR XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_RANDR_ADD_OUTPUT_MODE

#define XCB_RANDR_ADD_OUTPUT_MODE 18

Opcode for xcb_randr_add_output_mode.

## ◆ XCB_RANDR_BAD_CRTC

#define XCB_RANDR_BAD_CRTC 1

Opcode for xcb_randr_bad_crtc.

## ◆ XCB_RANDR_BAD_MODE

#define XCB_RANDR_BAD_MODE 2

Opcode for xcb_randr_bad_mode.

## ◆ XCB_RANDR_BAD_OUTPUT

#define XCB_RANDR_BAD_OUTPUT 0

Opcode for xcb_randr_bad_output.

## ◆ XCB_RANDR_BAD_PROVIDER

#define XCB_RANDR_BAD_PROVIDER 3

Opcode for xcb_randr_bad_provider.

## ◆ XCB_RANDR_CHANGE_OUTPUT_PROPERTY

#define XCB_RANDR_CHANGE_OUTPUT_PROPERTY 13

Opcode for xcb_randr_change_output_property.

## ◆ XCB_RANDR_CHANGE_PROVIDER_PROPERTY

#define XCB_RANDR_CHANGE_PROVIDER_PROPERTY 39

Opcode for xcb_randr_change_provider_property.

## ◆ XCB_RANDR_CONFIGURE_OUTPUT_PROPERTY

#define XCB_RANDR_CONFIGURE_OUTPUT_PROPERTY 12

Opcode for xcb_randr_configure_output_property.

## ◆ XCB_RANDR_CONFIGURE_PROVIDER_PROPERTY

#define XCB_RANDR_CONFIGURE_PROVIDER_PROPERTY 38

Opcode for xcb_randr_configure_provider_property.

## ◆ XCB_RANDR_CREATE_LEASE

#define XCB_RANDR_CREATE_LEASE 45

Opcode for xcb_randr_create_lease.

## ◆ XCB_RANDR_CREATE_MODE

#define XCB_RANDR_CREATE_MODE 16

Opcode for xcb_randr_create_mode.

## ◆ XCB_RANDR_DELETE_MONITOR

#define XCB_RANDR_DELETE_MONITOR 44

Opcode for xcb_randr_delete_monitor.

## ◆ XCB_RANDR_DELETE_OUTPUT_MODE

#define XCB_RANDR_DELETE_OUTPUT_MODE 19

Opcode for xcb_randr_delete_output_mode.

## ◆ XCB_RANDR_DELETE_OUTPUT_PROPERTY

#define XCB_RANDR_DELETE_OUTPUT_PROPERTY 14

Opcode for xcb_randr_delete_output_property.

## ◆ XCB_RANDR_DELETE_PROVIDER_PROPERTY

#define XCB_RANDR_DELETE_PROVIDER_PROPERTY 40

Opcode for xcb_randr_delete_provider_property.

## ◆ XCB_RANDR_DESTROY_MODE

#define XCB_RANDR_DESTROY_MODE 17

Opcode for xcb_randr_destroy_mode.

## ◆ XCB_RANDR_FREE_LEASE

#define XCB_RANDR_FREE_LEASE 46

Opcode for xcb_randr_free_lease.

## ◆ XCB_RANDR_GET_CRTC_GAMMA

#define XCB_RANDR_GET_CRTC_GAMMA 23

Opcode for xcb_randr_get_crtc_gamma.

## ◆ XCB_RANDR_GET_CRTC_GAMMA_SIZE

#define XCB_RANDR_GET_CRTC_GAMMA_SIZE 22

Opcode for xcb_randr_get_crtc_gamma_size.

## ◆ XCB_RANDR_GET_CRTC_INFO

#define XCB_RANDR_GET_CRTC_INFO 20

Opcode for xcb_randr_get_crtc_info.

## ◆ XCB_RANDR_GET_CRTC_TRANSFORM

#define XCB_RANDR_GET_CRTC_TRANSFORM 27

Opcode for xcb_randr_get_crtc_transform.

## ◆ XCB_RANDR_GET_MONITORS

#define XCB_RANDR_GET_MONITORS 42

Opcode for xcb_randr_get_monitors.

## ◆ XCB_RANDR_GET_OUTPUT_INFO

#define XCB_RANDR_GET_OUTPUT_INFO 9

Opcode for xcb_randr_get_output_info.

## ◆ XCB_RANDR_GET_OUTPUT_PRIMARY

#define XCB_RANDR_GET_OUTPUT_PRIMARY 31

Opcode for xcb_randr_get_output_primary.

## ◆ XCB_RANDR_GET_OUTPUT_PROPERTY

#define XCB_RANDR_GET_OUTPUT_PROPERTY 15

Opcode for xcb_randr_get_output_property.

## ◆ XCB_RANDR_GET_PANNING

#define XCB_RANDR_GET_PANNING 28

Opcode for xcb_randr_get_panning.

## ◆ XCB_RANDR_GET_PROVIDER_INFO

#define XCB_RANDR_GET_PROVIDER_INFO 33

Opcode for xcb_randr_get_provider_info.

## ◆ XCB_RANDR_GET_PROVIDER_PROPERTY

#define XCB_RANDR_GET_PROVIDER_PROPERTY 41

Opcode for xcb_randr_get_provider_property.

## ◆ XCB_RANDR_GET_PROVIDERS

#define XCB_RANDR_GET_PROVIDERS 32

Opcode for xcb_randr_get_providers.

## ◆ XCB_RANDR_GET_SCREEN_INFO

#define XCB_RANDR_GET_SCREEN_INFO 5

Opcode for xcb_randr_get_screen_info.

## ◆ XCB_RANDR_GET_SCREEN_RESOURCES

#define XCB_RANDR_GET_SCREEN_RESOURCES 8

Opcode for xcb_randr_get_screen_resources.

## ◆ XCB_RANDR_GET_SCREEN_RESOURCES_CURRENT

#define XCB_RANDR_GET_SCREEN_RESOURCES_CURRENT 25

Opcode for xcb_randr_get_screen_resources_current.

## ◆ XCB_RANDR_GET_SCREEN_SIZE_RANGE

#define XCB_RANDR_GET_SCREEN_SIZE_RANGE 6

Opcode for xcb_randr_get_screen_size_range.

## ◆ XCB_RANDR_LIST_OUTPUT_PROPERTIES

#define XCB_RANDR_LIST_OUTPUT_PROPERTIES 10

Opcode for xcb_randr_list_output_properties.

## ◆ XCB_RANDR_LIST_PROVIDER_PROPERTIES

#define XCB_RANDR_LIST_PROVIDER_PROPERTIES 36

Opcode for xcb_randr_list_provider_properties.

## ◆ XCB_RANDR_NOTIFY

#define XCB_RANDR_NOTIFY 1

Opcode for xcb_randr_notify.

## ◆ XCB_RANDR_QUERY_OUTPUT_PROPERTY

#define XCB_RANDR_QUERY_OUTPUT_PROPERTY 11

Opcode for xcb_randr_query_output_property.

## ◆ XCB_RANDR_QUERY_PROVIDER_PROPERTY

#define XCB_RANDR_QUERY_PROVIDER_PROPERTY 37

Opcode for xcb_randr_query_provider_property.

## ◆ XCB_RANDR_QUERY_VERSION

#define XCB_RANDR_QUERY_VERSION 0

Opcode for xcb_randr_query_version.

## ◆ XCB_RANDR_SCREEN_CHANGE_NOTIFY

#define XCB_RANDR_SCREEN_CHANGE_NOTIFY 0

Opcode for xcb_randr_screen_change_notify.

## ◆ XCB_RANDR_SELECT_INPUT

#define XCB_RANDR_SELECT_INPUT 4

Opcode for xcb_randr_select_input.

## ◆ XCB_RANDR_SET_CRTC_CONFIG

#define XCB_RANDR_SET_CRTC_CONFIG 21

Opcode for xcb_randr_set_crtc_config.

## ◆ XCB_RANDR_SET_CRTC_GAMMA

#define XCB_RANDR_SET_CRTC_GAMMA 24

Opcode for xcb_randr_set_crtc_gamma.

## ◆ XCB_RANDR_SET_CRTC_TRANSFORM

#define XCB_RANDR_SET_CRTC_TRANSFORM 26

Opcode for xcb_randr_set_crtc_transform.

## ◆ XCB_RANDR_SET_MONITOR

#define XCB_RANDR_SET_MONITOR 43

Opcode for xcb_randr_set_monitor.

## ◆ XCB_RANDR_SET_OUTPUT_PRIMARY

#define XCB_RANDR_SET_OUTPUT_PRIMARY 30

Opcode for xcb_randr_set_output_primary.

## ◆ XCB_RANDR_SET_PANNING

#define XCB_RANDR_SET_PANNING 29

Opcode for xcb_randr_set_panning.

## ◆ XCB_RANDR_SET_PROVIDER_OFFLOAD_SINK

#define XCB_RANDR_SET_PROVIDER_OFFLOAD_SINK 34

Opcode for xcb_randr_set_provider_offload_sink.

## ◆ XCB_RANDR_SET_PROVIDER_OUTPUT_SOURCE

#define XCB_RANDR_SET_PROVIDER_OUTPUT_SOURCE 35

Opcode for xcb_randr_set_provider_output_source.

## ◆ XCB_RANDR_SET_SCREEN_CONFIG

#define XCB_RANDR_SET_SCREEN_CONFIG 2

Opcode for xcb_randr_set_screen_config.

## ◆ XCB_RANDR_SET_SCREEN_SIZE

#define XCB_RANDR_SET_SCREEN_SIZE 7

Opcode for xcb_randr_set_screen_size.

## Function Documentation

## ◆ xcb_randr_add_output_mode()

xcb_void_cookie_t xcb_randr_add_output_mode | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_randr_mode_t | mode
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_ADD_OUTPUT_MODE.

## ◆ xcb_randr_add_output_mode_checked()

xcb_void_cookie_t xcb_randr_add_output_mode_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_randr_mode_t | mode
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_ADD_OUTPUT_MODE.

## ◆ xcb_randr_change_output_property()

xcb_void_cookie_t xcb_randr_change_output_property | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint8_t | format,
|  | uint8_t | mode,
|  | uint32_t | num_units,
|  | const void * | data
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_CHANGE_OUTPUT_PROPERTY.

## ◆ xcb_randr_change_output_property_checked()

xcb_void_cookie_t xcb_randr_change_output_property_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint8_t | format,
|  | uint8_t | mode,
|  | uint32_t | num_units,
|  | const void * | data
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_CHANGE_OUTPUT_PROPERTY.

## ◆ xcb_randr_change_provider_property()

xcb_void_cookie_t xcb_randr_change_provider_property | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint8_t | format,
|  | uint8_t | mode,
|  | uint32_t | num_items,
|  | const void * | data
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_CHANGE_PROVIDER_PROPERTY.

## ◆ xcb_randr_change_provider_property_checked()

xcb_void_cookie_t xcb_randr_change_provider_property_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint8_t | format,
|  | uint8_t | mode,
|  | uint32_t | num_items,
|  | const void * | data
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_CHANGE_PROVIDER_PROPERTY.

## ◆ xcb_randr_configure_output_property()

xcb_void_cookie_t xcb_randr_configure_output_property | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property,
|  | uint8_t | pending,
|  | uint8_t | range,
|  | uint32_t | values_len,
|  | const int32_t * | values
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_CONFIGURE_OUTPUT_PROPERTY.

## ◆ xcb_randr_configure_output_property_checked()

xcb_void_cookie_t xcb_randr_configure_output_property_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property,
|  | uint8_t | pending,
|  | uint8_t | range,
|  | uint32_t | values_len,
|  | const int32_t * | values
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_CONFIGURE_OUTPUT_PROPERTY.

## ◆ xcb_randr_configure_provider_property()

xcb_void_cookie_t xcb_randr_configure_provider_property | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property,
|  | uint8_t | pending,
|  | uint8_t | range,
|  | uint32_t | values_len,
|  | const int32_t * | values
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_CONFIGURE_PROVIDER_PROPERTY.

## ◆ xcb_randr_configure_provider_property_checked()

xcb_void_cookie_t xcb_randr_configure_provider_property_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property,
|  | uint8_t | pending,
|  | uint8_t | range,
|  | uint32_t | values_len,
|  | const int32_t * | values
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_CONFIGURE_PROVIDER_PROPERTY.

## ◆ xcb_randr_create_lease()

xcb_randr_create_lease_cookie_t xcb_randr_create_lease | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_randr_lease_t | lid,
|  | uint16_t | num_crtcs,
|  | uint16_t | num_outputs,
|  | const xcb_randr_crtc_t * | crtcs,
|  | const xcb_randr_output_t * | outputs
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_CREATE_LEASE.

## ◆ xcb_randr_create_lease_reply()

xcb_randr_create_lease_reply_t * xcb_randr_create_lease_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_create_lease_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_create_lease_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_create_lease_reply_fds()

int * xcb_randr_create_lease_reply_fds | ( | xcb_connection_t * | c,
|  | xcb_randr_create_lease_reply_t * | reply
| ) |  |

Return the reply fds

Parameters

  c | The connection
  reply | The reply

Returns a pointer to the array of reply fds of the reply.

The returned value points into the reply and must not be free(). The fds are not managed by xcb. You must close() them before freeing the reply.

## ◆ xcb_randr_create_lease_unchecked()

xcb_randr_create_lease_cookie_t xcb_randr_create_lease_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_randr_lease_t | lid,
|  | uint16_t | num_crtcs,
|  | uint16_t | num_outputs,
|  | const xcb_randr_crtc_t * | crtcs,
|  | const xcb_randr_output_t * | outputs
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_CREATE_LEASE.

## ◆ xcb_randr_create_mode()

xcb_randr_create_mode_cookie_t xcb_randr_create_mode | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_randr_mode_info_t | mode_info,
|  | uint32_t | name_len,
|  | const char * | name
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_CREATE_MODE.

## ◆ xcb_randr_create_mode_reply()

xcb_randr_create_mode_reply_t * xcb_randr_create_mode_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_create_mode_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_create_mode_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_create_mode_unchecked()

xcb_randr_create_mode_cookie_t xcb_randr_create_mode_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_randr_mode_info_t | mode_info,
|  | uint32_t | name_len,
|  | const char * | name
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_CREATE_MODE.

## ◆ xcb_randr_crtc_change_end()

xcb_generic_iterator_t xcb_randr_crtc_change_end | ( | xcb_randr_crtc_change_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_crtc_change_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_crtc_change_next()

void xcb_randr_crtc_change_next | ( | xcb_randr_crtc_change_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_crtc_change_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_crtc_change_t)

## ◆ xcb_randr_crtc_end()

xcb_generic_iterator_t xcb_randr_crtc_end | ( | xcb_randr_crtc_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_crtc_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_crtc_next()

void xcb_randr_crtc_next | ( | xcb_randr_crtc_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_crtc_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_crtc_t)

## ◆ xcb_randr_delete_monitor()

xcb_void_cookie_t xcb_randr_delete_monitor | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | name
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_DELETE_MONITOR.

## ◆ xcb_randr_delete_monitor_checked()

xcb_void_cookie_t xcb_randr_delete_monitor_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_atom_t | name
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_DELETE_MONITOR.

## ◆ xcb_randr_delete_output_mode()

xcb_void_cookie_t xcb_randr_delete_output_mode | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_randr_mode_t | mode
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_DELETE_OUTPUT_MODE.

## ◆ xcb_randr_delete_output_mode_checked()

xcb_void_cookie_t xcb_randr_delete_output_mode_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_randr_mode_t | mode
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_DELETE_OUTPUT_MODE.

## ◆ xcb_randr_delete_output_property()

xcb_void_cookie_t xcb_randr_delete_output_property | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_DELETE_OUTPUT_PROPERTY.

## ◆ xcb_randr_delete_output_property_checked()

xcb_void_cookie_t xcb_randr_delete_output_property_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_DELETE_OUTPUT_PROPERTY.

## ◆ xcb_randr_delete_provider_property()

xcb_void_cookie_t xcb_randr_delete_provider_property | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_DELETE_PROVIDER_PROPERTY.

## ◆ xcb_randr_delete_provider_property_checked()

xcb_void_cookie_t xcb_randr_delete_provider_property_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_DELETE_PROVIDER_PROPERTY.

## ◆ xcb_randr_destroy_mode()

xcb_void_cookie_t xcb_randr_destroy_mode | ( | xcb_connection_t * | c,
|  | xcb_randr_mode_t | mode
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_DESTROY_MODE.

## ◆ xcb_randr_destroy_mode_checked()

xcb_void_cookie_t xcb_randr_destroy_mode_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_mode_t | mode
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_DESTROY_MODE.

## ◆ xcb_randr_free_lease()

xcb_void_cookie_t xcb_randr_free_lease | ( | xcb_connection_t * | c,
|  | xcb_randr_lease_t | lid,
|  | uint8_t | terminate
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_FREE_LEASE.

## ◆ xcb_randr_free_lease_checked()

xcb_void_cookie_t xcb_randr_free_lease_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_lease_t | lid,
|  | uint8_t | terminate
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_FREE_LEASE.

## ◆ xcb_randr_get_crtc_gamma()

xcb_randr_get_crtc_gamma_cookie_t xcb_randr_get_crtc_gamma | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_CRTC_GAMMA.

## ◆ xcb_randr_get_crtc_gamma_reply()

xcb_randr_get_crtc_gamma_reply_t * xcb_randr_get_crtc_gamma_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_crtc_gamma_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_crtc_gamma_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_crtc_gamma_size()

xcb_randr_get_crtc_gamma_size_cookie_t xcb_randr_get_crtc_gamma_size | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_CRTC_GAMMA_SIZE.

## ◆ xcb_randr_get_crtc_gamma_size_reply()

xcb_randr_get_crtc_gamma_size_reply_t * xcb_randr_get_crtc_gamma_size_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_crtc_gamma_size_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_crtc_gamma_size_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_crtc_gamma_size_unchecked()

xcb_randr_get_crtc_gamma_size_cookie_t xcb_randr_get_crtc_gamma_size_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_CRTC_GAMMA_SIZE.

## ◆ xcb_randr_get_crtc_gamma_unchecked()

xcb_randr_get_crtc_gamma_cookie_t xcb_randr_get_crtc_gamma_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_CRTC_GAMMA.

## ◆ xcb_randr_get_crtc_info()

xcb_randr_get_crtc_info_cookie_t xcb_randr_get_crtc_info | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_CRTC_INFO.

## ◆ xcb_randr_get_crtc_info_reply()

xcb_randr_get_crtc_info_reply_t * xcb_randr_get_crtc_info_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_crtc_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_crtc_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_crtc_info_unchecked()

xcb_randr_get_crtc_info_cookie_t xcb_randr_get_crtc_info_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_CRTC_INFO.

## ◆ xcb_randr_get_crtc_transform()

xcb_randr_get_crtc_transform_cookie_t xcb_randr_get_crtc_transform | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_CRTC_TRANSFORM.

## ◆ xcb_randr_get_crtc_transform_reply()

xcb_randr_get_crtc_transform_reply_t * xcb_randr_get_crtc_transform_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_crtc_transform_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_crtc_transform_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_crtc_transform_unchecked()

xcb_randr_get_crtc_transform_cookie_t xcb_randr_get_crtc_transform_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_CRTC_TRANSFORM.

## ◆ xcb_randr_get_monitors()

xcb_randr_get_monitors_cookie_t xcb_randr_get_monitors | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | get_active
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_MONITORS.

## ◆ xcb_randr_get_monitors_reply()

xcb_randr_get_monitors_reply_t * xcb_randr_get_monitors_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_monitors_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_monitors_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_monitors_unchecked()

xcb_randr_get_monitors_cookie_t xcb_randr_get_monitors_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint8_t | get_active
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_MONITORS.

## ◆ xcb_randr_get_output_info()

xcb_randr_get_output_info_cookie_t xcb_randr_get_output_info | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_OUTPUT_INFO.

## ◆ xcb_randr_get_output_info_reply()

xcb_randr_get_output_info_reply_t * xcb_randr_get_output_info_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_output_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_output_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_output_info_unchecked()

xcb_randr_get_output_info_cookie_t xcb_randr_get_output_info_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_OUTPUT_INFO.

## ◆ xcb_randr_get_output_primary()

xcb_randr_get_output_primary_cookie_t xcb_randr_get_output_primary | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_OUTPUT_PRIMARY.

## ◆ xcb_randr_get_output_primary_reply()

xcb_randr_get_output_primary_reply_t * xcb_randr_get_output_primary_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_output_primary_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_output_primary_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_output_primary_unchecked()

xcb_randr_get_output_primary_cookie_t xcb_randr_get_output_primary_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_OUTPUT_PRIMARY.

## ◆ xcb_randr_get_output_property()

xcb_randr_get_output_property_cookie_t xcb_randr_get_output_property | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint32_t | long_offset,
|  | uint32_t | long_length,
|  | uint8_t | _delete,
|  | uint8_t | pending
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_OUTPUT_PROPERTY.

## ◆ xcb_randr_get_output_property_reply()

xcb_randr_get_output_property_reply_t * xcb_randr_get_output_property_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_output_property_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_output_property_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_output_property_unchecked()

xcb_randr_get_output_property_cookie_t xcb_randr_get_output_property_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint32_t | long_offset,
|  | uint32_t | long_length,
|  | uint8_t | _delete,
|  | uint8_t | pending
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_OUTPUT_PROPERTY.

## ◆ xcb_randr_get_panning()

xcb_randr_get_panning_cookie_t xcb_randr_get_panning | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_PANNING.

## ◆ xcb_randr_get_panning_reply()

xcb_randr_get_panning_reply_t * xcb_randr_get_panning_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_panning_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_panning_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_panning_unchecked()

xcb_randr_get_panning_cookie_t xcb_randr_get_panning_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_PANNING.

## ◆ xcb_randr_get_provider_info()

xcb_randr_get_provider_info_cookie_t xcb_randr_get_provider_info | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_PROVIDER_INFO.

## ◆ xcb_randr_get_provider_info_reply()

xcb_randr_get_provider_info_reply_t * xcb_randr_get_provider_info_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_provider_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_provider_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_provider_info_unchecked()

xcb_randr_get_provider_info_cookie_t xcb_randr_get_provider_info_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_PROVIDER_INFO.

## ◆ xcb_randr_get_provider_property()

xcb_randr_get_provider_property_cookie_t xcb_randr_get_provider_property | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint32_t | long_offset,
|  | uint32_t | long_length,
|  | uint8_t | _delete,
|  | uint8_t | pending
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_PROVIDER_PROPERTY.

## ◆ xcb_randr_get_provider_property_reply()

xcb_randr_get_provider_property_reply_t * xcb_randr_get_provider_property_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_provider_property_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_provider_property_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_provider_property_unchecked()

xcb_randr_get_provider_property_cookie_t xcb_randr_get_provider_property_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property,
|  | xcb_atom_t | type,
|  | uint32_t | long_offset,
|  | uint32_t | long_length,
|  | uint8_t | _delete,
|  | uint8_t | pending
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_PROVIDER_PROPERTY.

## ◆ xcb_randr_get_providers()

xcb_randr_get_providers_cookie_t xcb_randr_get_providers | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_PROVIDERS.

## ◆ xcb_randr_get_providers_reply()

xcb_randr_get_providers_reply_t * xcb_randr_get_providers_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_providers_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_providers_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_providers_unchecked()

xcb_randr_get_providers_cookie_t xcb_randr_get_providers_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_PROVIDERS.

## ◆ xcb_randr_get_screen_info()

xcb_randr_get_screen_info_cookie_t xcb_randr_get_screen_info | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_SCREEN_INFO.

## ◆ xcb_randr_get_screen_info_reply()

xcb_randr_get_screen_info_reply_t * xcb_randr_get_screen_info_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_screen_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_screen_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_screen_info_unchecked()

xcb_randr_get_screen_info_cookie_t xcb_randr_get_screen_info_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_SCREEN_INFO.

## ◆ xcb_randr_get_screen_resources()

xcb_randr_get_screen_resources_cookie_t xcb_randr_get_screen_resources | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_SCREEN_RESOURCES.

## ◆ xcb_randr_get_screen_resources_current()

xcb_randr_get_screen_resources_current_cookie_t xcb_randr_get_screen_resources_current | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_SCREEN_RESOURCES_CURRENT.

## ◆ xcb_randr_get_screen_resources_current_reply()

xcb_randr_get_screen_resources_current_reply_t * xcb_randr_get_screen_resources_current_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_screen_resources_current_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_screen_resources_current_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_screen_resources_current_unchecked()

xcb_randr_get_screen_resources_current_cookie_t xcb_randr_get_screen_resources_current_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_SCREEN_RESOURCES_CURRENT.

## ◆ xcb_randr_get_screen_resources_reply()

xcb_randr_get_screen_resources_reply_t * xcb_randr_get_screen_resources_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_screen_resources_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_screen_resources_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_screen_resources_unchecked()

xcb_randr_get_screen_resources_cookie_t xcb_randr_get_screen_resources_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_SCREEN_RESOURCES.

## ◆ xcb_randr_get_screen_size_range()

xcb_randr_get_screen_size_range_cookie_t xcb_randr_get_screen_size_range | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_GET_SCREEN_SIZE_RANGE.

## ◆ xcb_randr_get_screen_size_range_reply()

xcb_randr_get_screen_size_range_reply_t * xcb_randr_get_screen_size_range_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_get_screen_size_range_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_get_screen_size_range_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_get_screen_size_range_unchecked()

xcb_randr_get_screen_size_range_cookie_t xcb_randr_get_screen_size_range_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_GET_SCREEN_SIZE_RANGE.

## ◆ xcb_randr_lease_end()

xcb_generic_iterator_t xcb_randr_lease_end | ( | xcb_randr_lease_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_lease_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_lease_next()

void xcb_randr_lease_next | ( | xcb_randr_lease_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_lease_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_lease_t)

## ◆ xcb_randr_lease_notify_end()

xcb_generic_iterator_t xcb_randr_lease_notify_end | ( | xcb_randr_lease_notify_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_lease_notify_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_lease_notify_next()

void xcb_randr_lease_notify_next | ( | xcb_randr_lease_notify_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_lease_notify_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_lease_notify_t)

## ◆ xcb_randr_list_output_properties()

xcb_randr_list_output_properties_cookie_t xcb_randr_list_output_properties | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_LIST_OUTPUT_PROPERTIES.

## ◆ xcb_randr_list_output_properties_reply()

xcb_randr_list_output_properties_reply_t * xcb_randr_list_output_properties_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_list_output_properties_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_list_output_properties_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_list_output_properties_unchecked()

xcb_randr_list_output_properties_cookie_t xcb_randr_list_output_properties_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_LIST_OUTPUT_PROPERTIES.

## ◆ xcb_randr_list_provider_properties()

xcb_randr_list_provider_properties_cookie_t xcb_randr_list_provider_properties | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_LIST_PROVIDER_PROPERTIES.

## ◆ xcb_randr_list_provider_properties_reply()

xcb_randr_list_provider_properties_reply_t * xcb_randr_list_provider_properties_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_list_provider_properties_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_list_provider_properties_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_list_provider_properties_unchecked()

xcb_randr_list_provider_properties_cookie_t xcb_randr_list_provider_properties_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_LIST_PROVIDER_PROPERTIES.

## ◆ xcb_randr_mode_end()

xcb_generic_iterator_t xcb_randr_mode_end | ( | xcb_randr_mode_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_mode_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_mode_info_end()

xcb_generic_iterator_t xcb_randr_mode_info_end | ( | xcb_randr_mode_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_mode_info_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_mode_info_next()

void xcb_randr_mode_info_next | ( | xcb_randr_mode_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_mode_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_mode_info_t)

## ◆ xcb_randr_mode_next()

void xcb_randr_mode_next | ( | xcb_randr_mode_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_mode_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_mode_t)

## ◆ xcb_randr_monitor_info_end()

xcb_generic_iterator_t xcb_randr_monitor_info_end | ( | xcb_randr_monitor_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_monitor_info_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_randr_monitor_info_next().

## ◆ xcb_randr_monitor_info_next()

void xcb_randr_monitor_info_next | ( | xcb_randr_monitor_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_monitor_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_monitor_info_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_randr_monitor_info_end().

## ◆ xcb_randr_notify_data_end()

xcb_generic_iterator_t xcb_randr_notify_data_end | ( | xcb_randr_notify_data_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_notify_data_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_notify_data_next()

void xcb_randr_notify_data_next | ( | xcb_randr_notify_data_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_notify_data_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_notify_data_t)

## ◆ xcb_randr_output_change_end()

xcb_generic_iterator_t xcb_randr_output_change_end | ( | xcb_randr_output_change_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_output_change_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_output_change_next()

void xcb_randr_output_change_next | ( | xcb_randr_output_change_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_output_change_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_output_change_t)

## ◆ xcb_randr_output_end()

xcb_generic_iterator_t xcb_randr_output_end | ( | xcb_randr_output_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_output_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_output_next()

void xcb_randr_output_next | ( | xcb_randr_output_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_output_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_output_t)

## ◆ xcb_randr_output_property_end()

xcb_generic_iterator_t xcb_randr_output_property_end | ( | xcb_randr_output_property_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_output_property_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_output_property_next()

void xcb_randr_output_property_next | ( | xcb_randr_output_property_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_output_property_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_output_property_t)

## ◆ xcb_randr_provider_change_end()

xcb_generic_iterator_t xcb_randr_provider_change_end | ( | xcb_randr_provider_change_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_provider_change_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_provider_change_next()

void xcb_randr_provider_change_next | ( | xcb_randr_provider_change_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_provider_change_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_provider_change_t)

## ◆ xcb_randr_provider_end()

xcb_generic_iterator_t xcb_randr_provider_end | ( | xcb_randr_provider_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_provider_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_provider_next()

void xcb_randr_provider_next | ( | xcb_randr_provider_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_provider_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_provider_t)

## ◆ xcb_randr_provider_property_end()

xcb_generic_iterator_t xcb_randr_provider_property_end | ( | xcb_randr_provider_property_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_provider_property_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_provider_property_next()

void xcb_randr_provider_property_next | ( | xcb_randr_provider_property_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_provider_property_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_provider_property_t)

## ◆ xcb_randr_query_output_property()

xcb_randr_query_output_property_cookie_t xcb_randr_query_output_property | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_QUERY_OUTPUT_PROPERTY.

## ◆ xcb_randr_query_output_property_reply()

xcb_randr_query_output_property_reply_t * xcb_randr_query_output_property_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_query_output_property_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_query_output_property_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_query_output_property_unchecked()

xcb_randr_query_output_property_cookie_t xcb_randr_query_output_property_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_output_t | output,
|  | xcb_atom_t | property
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_QUERY_OUTPUT_PROPERTY.

## ◆ xcb_randr_query_provider_property()

xcb_randr_query_provider_property_cookie_t xcb_randr_query_provider_property | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_QUERY_PROVIDER_PROPERTY.

## ◆ xcb_randr_query_provider_property_reply()

xcb_randr_query_provider_property_reply_t * xcb_randr_query_provider_property_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_query_provider_property_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_query_provider_property_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_query_provider_property_unchecked()

xcb_randr_query_provider_property_cookie_t xcb_randr_query_provider_property_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_atom_t | property
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_QUERY_PROVIDER_PROPERTY.

## ◆ xcb_randr_query_version()

xcb_randr_query_version_cookie_t xcb_randr_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_QUERY_VERSION.

## ◆ xcb_randr_query_version_reply()

xcb_randr_query_version_reply_t * xcb_randr_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_query_version_unchecked()

xcb_randr_query_version_cookie_t xcb_randr_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_QUERY_VERSION.

## ◆ xcb_randr_refresh_rates_end()

xcb_generic_iterator_t xcb_randr_refresh_rates_end | ( | xcb_randr_refresh_rates_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_refresh_rates_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_randr_refresh_rates_next().

## ◆ xcb_randr_refresh_rates_next()

void xcb_randr_refresh_rates_next | ( | xcb_randr_refresh_rates_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_refresh_rates_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_refresh_rates_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_randr_refresh_rates_end().

## ◆ xcb_randr_resource_change_end()

xcb_generic_iterator_t xcb_randr_resource_change_end | ( | xcb_randr_resource_change_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_resource_change_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_resource_change_next()

void xcb_randr_resource_change_next | ( | xcb_randr_resource_change_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_resource_change_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_resource_change_t)

## ◆ xcb_randr_screen_size_end()

xcb_generic_iterator_t xcb_randr_screen_size_end | ( | xcb_randr_screen_size_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_randr_screen_size_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_randr_screen_size_next()

void xcb_randr_screen_size_next | ( | xcb_randr_screen_size_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_randr_screen_size_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_randr_screen_size_t)

## ◆ xcb_randr_select_input()

xcb_void_cookie_t xcb_randr_select_input | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | enable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SELECT_INPUT.

## ◆ xcb_randr_select_input_checked()

xcb_void_cookie_t xcb_randr_select_input_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | enable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_SELECT_INPUT.

## ◆ xcb_randr_set_crtc_config()

xcb_randr_set_crtc_config_cookie_t xcb_randr_set_crtc_config | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | xcb_timestamp_t | timestamp,
|  | xcb_timestamp_t | config_timestamp,
|  | int16_t | x,
|  | int16_t | y,
|  | xcb_randr_mode_t | mode,
|  | uint16_t | rotation,
|  | uint32_t | outputs_len,
|  | const xcb_randr_output_t * | outputs
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_CRTC_CONFIG.

## ◆ xcb_randr_set_crtc_config_reply()

xcb_randr_set_crtc_config_reply_t * xcb_randr_set_crtc_config_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_set_crtc_config_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_set_crtc_config_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_set_crtc_config_unchecked()

xcb_randr_set_crtc_config_cookie_t xcb_randr_set_crtc_config_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | xcb_timestamp_t | timestamp,
|  | xcb_timestamp_t | config_timestamp,
|  | int16_t | x,
|  | int16_t | y,
|  | xcb_randr_mode_t | mode,
|  | uint16_t | rotation,
|  | uint32_t | outputs_len,
|  | const xcb_randr_output_t * | outputs
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_SET_CRTC_CONFIG.

## ◆ xcb_randr_set_crtc_gamma()

xcb_void_cookie_t xcb_randr_set_crtc_gamma | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | uint16_t | size,
|  | const uint16_t * | red,
|  | const uint16_t * | green,
|  | const uint16_t * | blue
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_CRTC_GAMMA.

## ◆ xcb_randr_set_crtc_gamma_checked()

xcb_void_cookie_t xcb_randr_set_crtc_gamma_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | uint16_t | size,
|  | const uint16_t * | red,
|  | const uint16_t * | green,
|  | const uint16_t * | blue
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_SET_CRTC_GAMMA.

## ◆ xcb_randr_set_crtc_transform()

xcb_void_cookie_t xcb_randr_set_crtc_transform | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | xcb_render_transform_t | transform,
|  | uint16_t | filter_len,
|  | const char * | filter_name,
|  | uint32_t | filter_params_len,
|  | const xcb_render_fixed_t * | filter_params
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_CRTC_TRANSFORM.

## ◆ xcb_randr_set_crtc_transform_checked()

xcb_void_cookie_t xcb_randr_set_crtc_transform_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | xcb_render_transform_t | transform,
|  | uint16_t | filter_len,
|  | const char * | filter_name,
|  | uint32_t | filter_params_len,
|  | const xcb_render_fixed_t * | filter_params
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_SET_CRTC_TRANSFORM.

## ◆ xcb_randr_set_monitor()

xcb_void_cookie_t xcb_randr_set_monitor | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_randr_monitor_info_t * | monitorinfo
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_MONITOR.

## ◆ xcb_randr_set_monitor_checked()

xcb_void_cookie_t xcb_randr_set_monitor_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_randr_monitor_info_t * | monitorinfo
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_SET_MONITOR.

## ◆ xcb_randr_set_output_primary()

xcb_void_cookie_t xcb_randr_set_output_primary | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_randr_output_t | output
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_OUTPUT_PRIMARY.

## ◆ xcb_randr_set_output_primary_checked()

xcb_void_cookie_t xcb_randr_set_output_primary_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_randr_output_t | output
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_SET_OUTPUT_PRIMARY.

## ◆ xcb_randr_set_panning()

xcb_randr_set_panning_cookie_t xcb_randr_set_panning | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | xcb_timestamp_t | timestamp,
|  | uint16_t | left,
|  | uint16_t | top,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | track_left,
|  | uint16_t | track_top,
|  | uint16_t | track_width,
|  | uint16_t | track_height,
|  | int16_t | border_left,
|  | int16_t | border_top,
|  | int16_t | border_right,
|  | int16_t | border_bottom
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_PANNING.

## ◆ xcb_randr_set_panning_reply()

xcb_randr_set_panning_reply_t * xcb_randr_set_panning_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_set_panning_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_set_panning_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_set_panning_unchecked()

xcb_randr_set_panning_cookie_t xcb_randr_set_panning_unchecked | ( | xcb_connection_t * | c,
|  | xcb_randr_crtc_t | crtc,
|  | xcb_timestamp_t | timestamp,
|  | uint16_t | left,
|  | uint16_t | top,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | track_left,
|  | uint16_t | track_top,
|  | uint16_t | track_width,
|  | uint16_t | track_height,
|  | int16_t | border_left,
|  | int16_t | border_top,
|  | int16_t | border_right,
|  | int16_t | border_bottom
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_SET_PANNING.

## ◆ xcb_randr_set_provider_offload_sink()

xcb_void_cookie_t xcb_randr_set_provider_offload_sink | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_randr_provider_t | sink_provider,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_PROVIDER_OFFLOAD_SINK.

## ◆ xcb_randr_set_provider_offload_sink_checked()

xcb_void_cookie_t xcb_randr_set_provider_offload_sink_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_randr_provider_t | sink_provider,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_SET_PROVIDER_OFFLOAD_SINK.

## ◆ xcb_randr_set_provider_output_source()

xcb_void_cookie_t xcb_randr_set_provider_output_source | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_randr_provider_t | source_provider,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_PROVIDER_OUTPUT_SOURCE.

## ◆ xcb_randr_set_provider_output_source_checked()

xcb_void_cookie_t xcb_randr_set_provider_output_source_checked | ( | xcb_connection_t * | c,
|  | xcb_randr_provider_t | provider,
|  | xcb_randr_provider_t | source_provider,
|  | xcb_timestamp_t | config_timestamp
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_SET_PROVIDER_OUTPUT_SOURCE.

## ◆ xcb_randr_set_screen_config()

xcb_randr_set_screen_config_cookie_t xcb_randr_set_screen_config | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_timestamp_t | timestamp,
|  | xcb_timestamp_t | config_timestamp,
|  | uint16_t | sizeID,
|  | uint16_t | rotation,
|  | uint16_t | rate
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_SCREEN_CONFIG.

## ◆ xcb_randr_set_screen_config_reply()

xcb_randr_set_screen_config_reply_t * xcb_randr_set_screen_config_reply | ( | xcb_connection_t * | c,
|  | xcb_randr_set_screen_config_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_randr_set_screen_config_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_randr_set_screen_config_unchecked()

xcb_randr_set_screen_config_cookie_t xcb_randr_set_screen_config_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | xcb_timestamp_t | timestamp,
|  | xcb_timestamp_t | config_timestamp,
|  | uint16_t | sizeID,
|  | uint16_t | rotation,
|  | uint16_t | rate
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_RANDR_SET_SCREEN_CONFIG.

## ◆ xcb_randr_set_screen_size()

xcb_void_cookie_t xcb_randr_set_screen_size | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | mm_width,
|  | uint32_t | mm_height
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_RANDR_SET_SCREEN_SIZE.

## ◆ xcb_randr_set_screen_size_checked()

xcb_void_cookie_t xcb_randr_set_screen_size_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | mm_width,
|  | uint32_t | mm_height
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_RANDR_SET_SCREEN_SIZE.